<?php
/**
 * The template for displaying all single posts
 */

// Get options.
$auto_header_layout = nomady_get_option( 'single_post_auto_header_style', 'yes' );
$single_header_layout = nomady_get_option( 'single_post_header_style', 'default' );
$single_header_width = nomady_get_option( 'single_post_header_width', 'wide' );
$social_share_switch = nomady_get_option( 'single_social_share_switch', 'yes' );

// Setting up variables.
$post_url =  get_permalink();
$post_format = get_post_format();
$post_gallery = NULL;
$post_image = NULL;
$post_video = NULL;

if ( $single_header_layout === 'overlay' ) {
	$single_header_layout = 'default';
}

get_header();
?>
<div id="primary" class="content-area">
	<?php
	/* Start the Loop */
	if ( have_posts() ) {
		while ( have_posts() ) {
			the_post();
			?>

			<div class="mnmd-section mnmd-section-fullwidth mnmd-section-first-contiguous">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php
						get_template_part( 'template-parts/misc/single-header-' . $single_header_layout );
					?>

					<div class="mnmd-section mnmd-section-fullwidth single-post-body">
						<div class="single-post-content-wrapper">
							<div class="single-post-content post-body-copy body-copy font-body-text entry-content clearfix">
								<p>
								<?php
								if ( wp_attachment_is_image() ) {
									echo wp_get_attachment_image( get_the_id(), 'nomady_sm', false,  array( 'class' => 'wp-post-image' ) );
								}
								else {
									echo '<a href="' . wp_get_attachment_url() . '">' . basename( get_attached_file( get_the_id() ) ) . '</a>';
								}
								?>
								</p>

								<?php
								if ( wp_attachment_is_image() ) {
								?>
								<p class="mnmd-attachment-resolutions">
								<?php
									echo esc_html__( 'Download', 'nomady' ) . ': ';
									$images = array();
									$image_sizes = array(
										'nomady_sm',
										'nomady_md',
										'nomady_lg',
										'nomady_xl',
										'full',
									);
									foreach( $image_sizes as $image_size ) {
										$image = wp_get_attachment_image_src( get_the_ID(), $image_size );
										$image_size_name = '';
										switch ( $image_size ) {
											case 'nomady_sm':
												$image_size_name = 'small';
												break;

											case 'nomady_md':
												$image_size_name = 'medium';
												break;

											case 'nomady_lg':
												$image_size_name = 'large';
												break;

											case 'nomady_xl':
												$image_size_name = 'very large';
												break;

											default:
												$image_size_name = 'full';
												break;
										}
										$name = $image_size_name . ' (' . $image[1] . 'x' . $image[2] . ')';
										$images[] = '<a href="' . $image[0] . '">' . $name . '</a>';
									}

									echo implode( ' | ', $images );
								?>
								</p>
								<?php
								}
								?>
							</div>
						</div>

						<div class="single-post-footer">
							<div class="container-post-body">
								<?php
								if ( ( $social_share_switch === 'yes' ) && ( class_exists( 'Nomady_Core' ) ) ) {
								?>
									<div class="single-post-footer-row single-post-social-share">
										<div class="mnmd-social-share mnmd-social-share-inline text-center">
											<?php
											Nomady_Core::post_social_share( [
												'url' => $post_url,
												'title' => get_the_title(),
												'image' => get_the_post_thumbnail( 'nomady_sm' ),
												'desc' => get_the_excerpt(),
											] );
											?>
										</div>
									</div>
								<?php
								}
								?>
							</div>
						</div>
					</div>
				</article>
			</div>

			<?php
			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) {
			?>
				<div class="mnmd-section mnmd-section-fullwidth post-comments-section">
					<div class="container-post-body">
						<?php comments_template(); ?>
					</div>
				</div>
			<?php
			}
		}
	}; // End of the loop.
	?>
</div><!-- #primary -->

<?php get_footer();