<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 */

$footer_layout = nomady_get_option( 'footer_layout', 'a' );
$footer_instagram_switch = nomady_get_option( 'footer_instagram_switch', 'no' );
$footer_social_switch = nomady_get_option( 'footer_social_media_switch', 'no' );
$footer_text = nomady_get_option( 'footer_text', '' );
$footer_background_color_scheme = nomady_get_option( 'footer_background_color_scheme', 'light' );
$back_top_switch = nomady_get_option( 'back_top_switch', 'yes' );
$footer_class = ( $footer_background_color_scheme === 'dark' ) ? ' site-footer-dark-scheme' : '';
$footer_class .= ' site-footer-layout-' . $footer_layout;
$menu_class = ( $footer_background_color_scheme === 'dark' ) ? 'footer-menu mnmd-menu mnmd-menu-text-light' : 'footer-menu mnmd-menu';
$menu_class .= ( $footer_layout === 'a' ) ? ' text-center' : ' text-center text-lg-right';
?>
			</div><!-- .site-content -->

			<footer class="site-footer<?php echo esc_attr( $footer_class ); ?>">
				<?php
				if ( $footer_instagram_switch === 'yes' ) {
				?>
					<div class="site-footer-instagram">
						<div class="container">
							<?php
								$title = nomady_get_option( 'footer_instagram_title', '' );
								$username = nomady_get_option( 'footer_instagram_username', '' );

								if ( $title !== '' ) {
									echo '<h3 class="site-footer-instagram-title h5 text-center font-meta mb-4">';
									if ( $username !== '' ) {
										echo '<a href="//instagram.com/' . esc_attr( $username ) . '" target="_blank" rel="noopener nofollow">';
									}
											echo '<span>' . esc_html( $title ) . '</span>';
									if ( $username !== '' ) {
										echo '</a>';
									}
									echo '</h3>';
								}

								echo '<ul class="js-mnmd-instagram-feed instagram-pics"></ul>';
							?>
						</div>
					</div>
				<?php
				}
				?>

				<div class="site-footer-content">
					<div class="site-footer-content-wrapper">
						<?php
						if ( $footer_social_switch === 'yes' ) {
						?>
							<div class="site-footer-social-media site-footer-content-section">
								<div class="container">
									<?php nomady_get_template_part( 'template-parts/misc/social-inline', NULL, array( 'style' => 'inline-large' ) ); ?>
								</div>
							</div>
						<?php
						}
						?>

						<?php
						if ( is_active_sidebar( 'mnmd-footer-1' ) || is_active_sidebar( 'mnmd-footer-2' ) || is_active_sidebar( 'mnmd-footer-3' ) || is_active_sidebar( 'mnmd-footer-4' )  ) {
						?>
							<div class="site-footer-widget-area site-footer-content-section">
								<div class="container">
									<div class="site-footer-widget-area-inner row row-space-around">
										<?php
										if ( is_active_sidebar( 'mnmd-footer-1' ) ) {
										?>
											<div class="site-footer-widget-column-1 col-md-6 col-lg">
                            					<?php dynamic_sidebar( 'mnmd-footer-1' ); ?>
                            				</div>
                            			<?php
										}
										?>

										<?php
										if ( is_active_sidebar( 'mnmd-footer-2' ) ) {
										?>
											<div class="site-footer-widget-column-2 col-md-6 col-lg">
                            					<?php dynamic_sidebar( 'mnmd-footer-2' ); ?>
                            				</div>
                            			<?php
										}
										?>

										<?php
										if ( is_active_sidebar( 'mnmd-footer-3' ) ) {
										?>
											<div class="site-footer-widget-column-3 col-md-6 col-lg">
                            					<?php dynamic_sidebar( 'mnmd-footer-3' ); ?>
                            				</div>
                            			<?php
										}
										?>

										<?php
										if ( is_active_sidebar( 'mnmd-footer-4' ) ) {
										?>
											<div class="site-footer-widget-column-4 col-md-6 col-lg">
                            					<?php dynamic_sidebar( 'mnmd-footer-4' ); ?>
                            				</div>
                            			<?php
										}
										?>
                            		</div>
                            	</div>
                            </div>
                        <?php
                        }
                        ?>

						<?php
						if ( $footer_layout === 'a' ) {
							if ( has_nav_menu( 'footer' ) ) {
							?>
								<div class="site-footer-navigation site-footer-content-section">
									<div class="container">
										<nav class="site-footer-navigation-inner navigation" aria-label="<?php esc_attr_e( 'Footer Menu', 'nomady' ); ?>">
											<?php
											wp_nav_menu( array(
												'theme_location' => 'footer',
												'menu_class'     => $menu_class,
												'container' 	 => false,
												'depth'          => 1,
											) );
											?>
										</nav>
									</div>
								</div><!-- .social-navigation -->
							<?php
							}
							?>

							<?php
							if ( $footer_text !== '' ) {
							?>
								<div class="site-footer-text site-footer-content-section text-center">
									<div class="container">
										<?php echo wp_kses_post( $footer_text ); ?>
									</div>
								</div>
							<?php
							}
						} else {
						?>
							<div class="site-footer-content-section site-footer-content-bottom">
								<div class="container">
									<div class="site-footer-content-bottom-wrapper">
										<div class="row row-space-around align-items-center">
											<?php
											if ( has_nav_menu( 'footer' ) ) {
											?>
												<div class="site-footer-navigation col-lg-6 order-lg-1">
													<nav class="site-footer-navigation-inner navigation" aria-label="<?php esc_attr_e( 'Footer Menu', 'nomady' ); ?>">
														<?php
														wp_nav_menu( array(
															'theme_location' => 'footer',
															'menu_class'     => $menu_class,
															'container' 	 => false,
															'depth'          => 1,
														) );
														?>
													</nav>
												</div><!-- .social-navigation -->
											<?php
											}
											?>

											<?php
											if ( $footer_text !== '' ) {
											?>
												<div class="site-footer-text col-lg-6 text-center text-lg-left">
													<?php echo wp_kses_post( $footer_text ); ?>
												</div>
											<?php
											}
											?>
										</div>
									</div>
								</div>
							</div>
						<?php
						}
						?>
					</div>
				</div><!-- .site-footer-content -->
			</footer><!-- .site-footer -->
		</div><!-- .site-content-contain -->
	</div><!-- .site-constraint -->

	<aside id="mnmd-offcanvas-primary" class="js-mnmd-offcanvas mnmd-offcanvas">
		<div class="offcanvas-actions d-flex justify-content-start">
			<?php
			$show_login = nomady_get_option( 'header_show_login', 'yes' );
			if ( ( $show_login === 'yes' ) && !is_user_logged_in() ) {
				$header_login_url = nomady_get_option( 'header_login_url', '' );
				if ( $header_login_url !== '' ) {
			?>
				<a href="<?php echo esc_url( $header_login_url ); ?>" class="btn offcanvas-login-toggler"><?php echo nomady_svg_icon( array( 'icon' => 'user', 'class' => 'mnmd-icon-md' ) ) ;?></a>
			<?php
				} else {
			?>
				<button class="btn offcanvas-login-toggler" type="button" data-toggle="modal" data-target="#mnmd-login-modal" aria-label="<?php echo esc_html__( 'Login', 'nomady' ) ?>"><?php echo nomady_svg_icon( array( 'icon' => 'user', 'class' => 'mnmd-icon-md' ) ) ;?></button>
			<?php
				}
			}
			?>

			<a href="mnmd-offcanvas-primary" class="offcanvas-close btn js-mnmd-offcanvas-close" role="button" aria-label="<?php echo esc_attr( 'Close', 'nomady' ); ?>">
				<?php echo nomady_svg_icon( array( 'icon' => 'x-circle', 'class' => 'mnmd-icon-md' ) ) ;?>
			</a>
		</div>

		<?php
		$offcanvas_logo = nomady_get_option( 'offcanvas_logo', array() );
		if ( !empty( $offcanvas_logo ) ) {
		?>
		<div class="offcanvas-branding offcanvas-section">
			<div class="offcanvas-logo text-center">
				<?php
				nomady_get_template_part( 'template-parts/misc/branding-header', NULL,
					array(
						'class' => 'display-5',
						'logo_variant' => 'offcanvas',
					)
				);
				?>
			</div>
		</div>
		<?php
		}
		?>

		<?php
		if ( has_nav_menu( 'mobile' ) || ( ( !has_nav_menu( 'mobile' ) && ( has_nav_menu( 'site-header' ) ) ) ) ) {
		?>
		<div class="offcanvas-navigation offcanvas-section">
			<?php
			if ( has_nav_menu( 'mobile' ) ) {
				$menu_location = 'mobile';
			} else {
				$menu_location = 'site-header';
			}

			$uppercase_menu = nomady_get_option( 'header-menu-uppercase', true );
			$bold_menu = nomady_get_option( 'header-menu-bold', true );
			$menu_class = 'offcanvas-menu mnmd-navigation navigation';

			if ( $uppercase_menu ) {
				$menu_class .= ' mnmd-navigation-uppercase';
			}

			wp_nav_menu( array(
				'theme_location' => $menu_location,
				'menu_id'        => 'offcanvas-menu',
				'menu_class'	 => $menu_class,
				'container'		 => false,
				'item_spacing'	 => 'discard',
			) );
			?>
		</div>
		<?php
		}
		?>

		<?php
		if ( is_active_sidebar( 'mnmd-offcanvas' ) ) {
		?>
			<div class="offcanvas-widget-area offcanvas-section">
				<?php dynamic_sidebar( 'mnmd-offcanvas' ); ?>
			</div>
		<?php
		}
		?>

		<div class="offcanvas-social offcanvas-section text-center">
			<?php get_template_part( 'template-parts/misc/social-inline' ); ?>
		</div>
	</aside>

	<!-- Login form modal -->
	<div id="mnmd-login-modal" class="mnmd-login-modal modal fade" tabindex="-1" role="dialog" aria-labelledby="mnmd-login-modal-title" aria-hidden="true">
		<div class="modal-dialog modal-sm" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="mnmd-login-modal-title"><?php echo esc_html__( 'Login', 'nomady' ); ?></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="<?php esc_attr_e( 'Close', 'nomady' ); ?>">
						<span aria-hidden="true"><?php echo nomady_svg_icon( array( 'icon' => 'x-circle', 'class' => '' ) ) ;?></span>
			        </button>
				</div>

				<div class="modal-body">
					<?php wp_login_form(); ?>

					<a href="<?php echo wp_registration_url( get_permalink() ); ?>" title="<?php echo esc_attr__( 'Register', 'nomady' ); ?>" class="mnmd-login-modal-register-btn btn btn-block st-btn-primary"><?php echo esc_html__( 'Register', 'nomady' ); ?></a>

					<a href="<?php echo wp_lostpassword_url( get_permalink() ); ?>" title="<?php echo esc_attr__( 'Forgot Password', 'nomady' ); ?>" class="mnmd-login-modal-forgot-password"><?php echo esc_html__( 'Forgot Password ?', 'nomady' ); ?></a>
				</div>
			</div>
		</div>
	</div>

	<!-- Search form modal -->
	<div id="mnmd-search-modal" class="mnmd-search-modal modal fade" tabindex="-1" role="dialog" aria-labelledby="mnmd-search-modal-title" aria-hidden="true">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="h4 modal-title" id="mnmd-search-modal-title"><?php echo esc_html__( 'Search', 'nomady' ); ?></h5>
					<button type="button" class="close" data-dismiss="modal" aria-label="<?php echo esc_attr__( 'Close', 'nomady' ); ?>">
						<span aria-hidden="true"><?php echo nomady_svg_icon( array( 'icon' => 'x-circle', 'class' => '' ) ) ;?></span>
			        </button>
				</div>

				<div class="modal-body">
					<?php get_template_part( 'searchform-modal' ); ?>
				</div>
			</div>
		</div>
	</div>

	<?php
	if ( $back_top_switch === 'yes' ) {
	?>
		<!-- Back to top button -->
		<button class="js-mnmd-back-top-btn mnmd-back-to-top st-btn-secondary btn d-none d-lg-block"><span class="sr-only"><?php echo esc_html__( 'Back to top', 'nomady' ); ?></span><?php echo nomady_svg_icon( array( 'icon' => 'arrow-up' ) ); ?></button>
	<?php
	}
	?>
</div><!-- .site -->

<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>