<?php
/**
 * The header for the theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 */

$header_layout = nomady_get_option( 'header_layout', 'default-center' );
$sticky_header = nomady_get_option( 'sticky_header', 'yes' );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="mnmd-site">
	<div class="site-constraint">
		<a class="skip-link sr-only" href="#content"><?php esc_html_e( 'Skip to content', 'nomady' ); ?></a>

		<?php get_template_part( 'template-parts/layout/site-header', $header_layout ); ?>

		<?php
		if ( $sticky_header === 'yes' ) {
			get_template_part( 'template-parts/layout/site-header-fixed' );
		}
		?>

		<div class="site-content-contain">
			<div class="site-content">