<?php
$theme_slug = 'nomady';
$option_name = 'mnmd_' .$theme_slug;
$prefix = $option_name . '_';

Kirki::add_config( $option_name, array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

Kirki::add_panel( $prefix . 'panel', array(
    'priority'    => 10,
    'title'       => esc_html__( 'Nomady Settings', 'nomady' ),
) );

/**
 * CSS Selectors Variables.
 */

$primary_color_selectors = '
    .primary-color,
    .st-btn-primary:hover,
    .st-btn-primary:focus,
    .st-btn-primary:active,
    a.st-btn-primary:hover,
    a.st-btn-primary:focus,
    a.st-btn-primary:active,
    .st-btn-secondary,
    a.st-btn-secondary,
    .st-btn-secondary:disabled,
    .st-btn-secondary.disabled,
    a.st-btn-secondary.disabled,
    .mnmd-post-block-indexed .post-item .post-index span,
    .widget.popular-posts .wpp-list:not(.wpp-list-with-thumbnails) > li:before,
    .comment-form .form-submit input.submit:hover,
    .comment-form .form-submit input.submit:focus,
    .comment-form .form-submit input.submit:active';

$primary_color_bg_selectors = '
    .primary-color-bg,
    .st-btn-primary,
    a.st-btn-primary,
    .st-btn-secondary:hover,
    .st-btn-secondary:focus,
    .st-btn-secondary:active,
    a.st-btn-secondary:hover,
    a.st-btn-secondary:focus,
    a.st-btn-secondary:active,
    .btn.st-btn-outline:before,
    .links-section-default.links-section-3-column .link-item-text:before,
    .link-item-b:hover:before,
    .link-item-c:hover:before,
    .comment-form .form-submit input.submit,
    .comment-form .form-submit input.submit,
    .comment-form .form-submit input.submit';

$primary_color_border_selectors = '
	.st-btn-primary,
	a.st-btn-primary,
	.st-btn-primary:hover,
	.st-btn-primary:focus,
	.st-btn-primary:active,
	a.st-btn-primary:hover,
	a.st-btn-primary:focus,
	a.st-btn-primary:active,
	.st-btn-secondary,
	a.st-btn-secondary,
	.st-btn-secondary:hover,
	.st-btn-secondary:focus,
	.st-btn-secondary:active,
	.st-btn-secondary:disabled,
	.st-btn-secondary.disabled,
	a.btn.st-btn-secondary.disabled,
	.category-item-c:hover .category-item-inner,
	.mnmd-post-block-indexed .post-item .post-index.post-index-circle span,
	.comment-form .form-submit input.submit,
	.comment-form .form-submit input.submit:hover,
    .comment-form .form-submit input.submit:focus,
    .comment-form .form-submit input.submit:active';

$secondary_color_selectors= '
    .secondary-color';

$secondary_color_bg_selectors = '
	.st-btn-primary:hover,
	.st-btn-primary:focus,
	.st-btn-primary:active,
	a.st-btn-primary:hover,
	a.st-btn-primary:focus,
	a.st-btn-primary:active,
    .st-btn-secondary,
    a.st-btn-secondary,
    .st-btn-secondary:disabled,
	.st-btn-secondary.disabled,
	a.st-btn-secondary.disabled,
    .comments-number-bubble,
    .category-item-a,
    .widget_calendar caption,
    .wp-block-calendar table caption,
    .widget_calendar #today:before,
    .wp-block-calendar #today:before,
    .widget_search .search-submit,
    .wp-block-search .wp-block-search__button,
    .comment-form .form-submit input.submit:hover,
    .comment-form .form-submit input.submit:focus,
    .comment-form .form-submit input.submit:active,
    .mnmd-offcanvas .offcanvas-social,
    .single-related-posts-section.mnmd-section-has-background .mnmd-section-background';

$body_typography_selectors = '
    body,
    .font-default,
    .widget-calendar,
    .wp-block-calendar,
    .wp-block-tag-cloud a,
    .elementor-widget-text-editor';

$post_body_typography_selectors = '
    .font-body-text';

$navigation_typography_selectors = '
    .navigation,
    .font-navigation';

$heading_typography_selectors = '
    h1,
    h2,
    h3,
    h4,
    h5,
    h6,
    .h1,
    .h2,
    .h3,
    .h4,
    .h5,
    .h6,
    .heading-font,
    .font-heading,
    .comment-author .fn,
    .widget_calendar caption,
    .wp-block-calendar table caption,
    .wp-block-latest-comments__comment-meta,
    .widget_recent_entries li a,
    .wp-block-latest-posts li a,
    .widget_pages ul,
    .widget_rss li a,
    .wp-block-rss__item-title';

$meta_typography_selectors = '
    label,
    button,
    input[type=submit],
    figcaption,
    .navbar-btn,
    .font-meta,
    .meta-font,
    .post-meta,
    .post-tag,
    .category-item-title,
    .post-read-more,
    .comment-reply-title,
    .comment-meta,
    .comment .reply,
    .comments-area .comment.bypostauthor .comment-author .fn:after,
    .wp-caption,
    .gallery-caption,
    .widget-title,
    .btn,
    .mnmd-section-heading,
    .widget_archive ul,
    .widget_archive select,
    .wp-block-archives,
    .wp-block-archives-dropdown select,
    .wp-block-button__link,
    .widget_categories ul,
    .widget_categories select,
    .wp-block-categories,
    .wp-block-categories select,
    .wp-block-file__button,
    .wp-block-quote__citation,
    .wp-block-quote cite,
    .wp-block-quote footer,
    .wp-block-pullquote p,
    .wp-block-pullquote__citation,
    .wp-block-pullquote cite,
    .wp-block-pullquote footer,
    .wp-block-latest-comments__comment-date,
    .widget_meta ul,
    .widget_nav_menu ul,
    .widget_recent_entries .post-date,
    .wp-block-latest-posts__post-author,
    .wp-block-latest-posts__post-date,
    .wp-block-rss__item-author,
    .wp-block-rss__item-publish-date,
    .wp-block-search__button';

/**
 * General Section.
 */
Kirki::add_section( $prefix . 'general_section', array(
    'title'          => esc_html__( 'General', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'color',
	'settings'    => $prefix . 'primary_color',
	'label'       => esc_html__( 'Primary Color', 'nomady' ),
	'description' => esc_html__( 'Make sure white text is legible on elements that has this background color.', 'nomady' ),
	'section'     => $prefix . 'general_section',
    'default'     => '#38524f',
    'output' => array(
        array(
            'element'  => $primary_color_selectors,
            'property' => 'color',
        ),
        array(
            'element'  => $primary_color_bg_selectors,
            'property' => 'background-color',
        ),
        array(
            'element'  => $primary_color_border_selectors,
            'property' => 'border-color',
        ),
        array(
            'element'  => '.post-card-background.has-post-thumbnail.sticky .post-title a',
            'property' => 'background',
            'value_pattern' => 'linear-gradient(180deg, rgba(255,255,255,0) 65%, $ 65%);',
        ),
    ),
] );

Kirki::add_field( $option_name, [
	'type'        => 'color',
	'settings'    => $prefix . 'secondary_color',
	'label'       => esc_html__( 'Secondary Color', 'nomady' ),
	'description' => esc_html__( 'Make sure dark text is legible on elements that has this background color.', 'nomady' ),
	'section'     => $prefix . 'general_section',
    'default'     => '#ebeae4',
    'output' => array(
        array(
            'element'  => $secondary_color_selectors,
            'property' => 'color',
        ),
        array(
            'element'  => $secondary_color_bg_selectors,
            'property' => 'background-color',
        ),
        array(
            'element'  => '.comments-number-bubble:after',
            'property' => 'border-top-color',
        ),
        array(
            'element'  => '.post-item.sticky .post-title a',
            'property' => 'background',
            'value_pattern' => 'linear-gradient(180deg, rgba(255,255,255,0) 65%, $ 65%);',
        ),
        array(
            'element'  => '.mnmd-post-block-indexed .post-item .post-index',
            'property' => 'text-shadow',
            'value_pattern' => '.2em .2em $;',
        ),
    ),
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'sticky_sidebar',
	'label'   		=> esc_html__( 'Sticky sidebar', 'nomady' ),
	'section' 		=> $prefix . 'general_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

/**
 * Typography Section.
 */
Kirki::add_section( $prefix . 'typography_section', array(
    'title'          => esc_html__( 'Typography', 'nomady' ),
    'description'    => esc_html__( 'It is recommended to use maximum 3 different Google font families for better page load speed.', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'body_typography',
	'label'       => esc_html__( 'Body', 'nomady' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
			'300',
            '300italic',
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $body_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'navigation_typography',
	'label'       => esc_html__( 'Navigation', 'nomady' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
            'regular',
            '700',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $navigation_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'heading_typography',
	'label'       => esc_html__( 'Heading', 'nomady' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Cardo',
		'variant'        => '700',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $heading_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'meta_typography',
	'label'       => esc_html__( 'Meta', 'nomady' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $meta_typography_selectors,
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'typography',
	'settings'    => $prefix . 'post_body_typography',
	'label'       => esc_html__( 'Post body text', 'nomady' ),
    'section'     => $prefix . 'typography_section',
    'choices' => [
        'fonts' => [
            'standard' => [ 'serif', 'sans-serif' ],
            'google' => [],
        ],
        'variant' => [
			'300',
            '300italic',
            'regular',
            'italic',
            '700',
            '700italic',
        ],
    ],
	'default'     => [
		'font-family'    => 'Inter',
		'variant'        => 'regular',
		'font-size'      => '18px',
		'line-height'    => '1.7',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => $post_body_typography_selectors,
		],
		[
			'element' => '.has-small-font-size',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * .8)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-large-font-size',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.25)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-huge-font-size',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.953)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.125)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'property'      => 'line-height',
			'value_pattern' => 'calc($ * .9375)',
			'choice'        => 'line-height',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'post_body_typography_mobile',
	'label'       => esc_html__( 'Post body text on small screen devices', 'nomady' ),
	'section'     => $prefix . 'typography_section',
	'default'     => [
		'font-size'  => '16px',
		'line-height'  => '1.6',
	],
	'choices'     => [
		'labels' => [
			'font-size'  => esc_html__( 'Font Size', 'nomady' ),
			'line-height'  => esc_html__( 'Line Height', 'nomady' ),
		],
	],
	'output'      => [
		[
			'element' => $post_body_typography_selectors,
			'media_query' => '@media (max-width: 575.98px)',
		],
		[
			'element' => '.has-small-font-size',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * .8)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-large-font-size',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.25)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.has-huge-font-size',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.953)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'font-size',
			'value_pattern' => 'calc($ * 1.125)',
			'choice'        => 'font-size',
		],
		[
			'element' => '.post-lead',
			'media_query' => '@media (max-width: 575.98px)',
			'property'      => 'line-height',
			'value_pattern' => 'calc($ * .9375)',
			'choice'        => 'line-height',
		],
	],
] );

/**
 * Header Section.
 */
Kirki::add_section( $prefix . 'header_section', array(
    'title'          => esc_html__( 'Header', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'header_layout',
	'label'       => esc_html__( 'Header Layout', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 'default-center',
	'choices'     => [
		'default'   => esc_html__( 'Default', 'nomady' ),
		'default-center' => esc_html__( 'Center', 'nomady' ),
        'top-nav'  => esc_html__( 'Navigation top', 'nomady' ),
        'compact'  => esc_html__( 'Compact', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'header_width',
	'label'       => esc_html__( 'Header Width', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 'default',
	'choices'     => [
		'default' => esc_html__( 'Default', 'nomady' ),
		'wide' => esc_html__( 'Wide', 'nomady' ),
		'fullwidth' => esc_html__( 'Full-width', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'sticky_header',
	'label'   		=> esc_html__( 'Sticky header', 'nomady' ),
	'section' 		=> $prefix . 'header_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'header_uppercase_menu',
	'label'   		=> esc_html__( 'Uppercase menu items', 'nomady' ),
	'section' 		=> $prefix . 'header_section',
	'default' 		=> 'no',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'    		=> 'radio-buttonset',
	'settings'		=> $prefix . 'header_show_login',
	'label'   		=> esc_html__( 'Show login button', 'nomady' ),
	'section' 		=> $prefix . 'header_section',
	'default' 		=> 'yes',
	'choices' 		=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
    'type'          => 'link',
    'settings'      => $prefix . 'header_login_url',
    'label'         => esc_html__( "Login button's URL", 'nomady' ),
    'description'   => esc_html__( "Link to your login page. Leave empty if you want to use the default login popup", 'nomady' ),
    'section'       => $prefix . 'header_section',
    'default'       => '',
    'active_callback' => [
        [
            'setting'    => $prefix . 'header_show_login',
            'operator' => '=',
            'value'    => 'yes',
        ]
    ],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'header_logo',
	'label'       => esc_html__( 'Header logo', 'nomady' ),
	'description' => esc_html__( "Logo images' dimensions should double the dimensions specified below for displaying on hi-DPI devices.", 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'header_logo_small',
	'label'       => esc_html__( 'Header logo small version', 'nomady' ),
	'description' => esc_html__( 'If there\'s no small version logo assigned, default logo will be used instead.', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'header_logo_width',
	'label'       => esc_html__( 'Header logo\'s width (in px)', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 300,
	'choices'     => [
		'min'  => 0,
		'max'  => 680,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.site-header:not(.site-header-fixed) .site-header-logo .site-branding-image img',
			'property' => 'width',
			'units' => 'px',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'header_logo_width_md',
	'label'       => esc_html__( 'Header logo\'s width on medium screen devices (in px)', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 200,
	'choices'     => [
		'min'  => 0,
		'max'  => 680,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.site-header:not(.site-header-fixed) .site-header-logo .site-branding-image img',
			'property' => 'width',
			'units' => 'px',
			'media_query' => '@media (min-width: 576px) and (max-width: 1199.98px)',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'header_logo_width_sm',
	'label'       => esc_html__( 'Header logo\'s width on small screen devices (in px)', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 80,
	'choices'     => [
		'min'  => 0,
		'max'  => 680,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.site-header:not(.site-header-fixed) .site-header-logo .site-branding-image img',
			'property' => 'width',
			'units' => 'px',
			'media_query' => '@media (max-width: 575.98px)',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'header_logo_padding',
	'label'       => esc_html__( 'Header logo\'s padding', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => [
		'padding-top'    => '0px',
		'padding-bottom' => '0px',
		'padding-left'   => '0px',
		'padding-right'  => '0px',
	],
	'output'      => [
		[
			'element' => '.site-header:not(.site-header-fixed) .site-header-logo',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'header_logo_padding_md',
	'label'       => esc_html__( 'Header logo\'s padding on medium screen devices', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => [
		'padding-top'    => '0px',
		'padding-bottom' => '0px',
		'padding-left'   => '0px',
		'padding-right'  => '0px',
	],
	'output'      => [
		[
			'element' => '.site-header:not(.site-header-fixed) .site-header-logo',
			'media_query' => '@media (max-width: 1199.98px)',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'header_logo_padding_sm',
	'label'       => esc_html__( 'Header logo\'s padding on small screen devices', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => [
		'padding-top'    => '0px',
		'padding-bottom' => '0px',
		'padding-left'   => '0px',
		'padding-right'  => '0px',
	],
	'output'      => [
		[
			'element' => '.site-header:not(.site-header-fixed) .site-header-logo',
			'media_query' => '@media (max-width: 575.98px)',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'header_sticky_logo',
	'label'       => esc_html__( 'Sticky header logo', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'header_sticky_logo_height',
	'label'       => esc_html__( 'Sticky header logo\'s height (in px)', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 50,
	'choices'     => [
		'min'  => 0,
		'max'  => 64,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.site-header-fixed .site-header-logo .site-branding-image img',
			'property' => 'height',
			'units' => 'px',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'offcanvas_logo',
	'label'       => esc_html__( 'Offcanvas menu logo', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'offcanvas_logo_width',
	'label'       => esc_html__( 'Offcanvas menu logo\'s width (in px)', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => 200,
	'choices'     => [
		'min'  => 0,
		'max'  => 220,
		'step' => 1,
	],
	'output'      => [
		[
			'element' => '.offcanvas-logo .site-branding-image img',
			'property' => 'width',
			'units' => 'px',
		],
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'offcanvas_logo',
			'operator' => '!=',
			'value'    => '',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'dimensions',
	'settings'    => $prefix . 'offcanvas_logo_padding',
	'label'       => esc_html__( 'Offcanvas menu logo\'s padding', 'nomady' ),
	'section'     => $prefix . 'header_section',
	'default'     => [
		'padding-top'    => '0px',
		'padding-bottom' => '0px',
		'padding-left'   => '0px',
		'padding-right'  => '0px',
	],
	'output'      => [
		[
			'element' => '.offcanvas-logo .site-branding-image',
		],
	],
] );

/**
 * Footer Section.
 */
Kirki::add_section( $prefix . 'footer_section', array(
    'title'          => esc_html__( 'Footer', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'footer_layout',
	'label'       => esc_html__( 'Footer Layout', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'     => 'a',
	'choices'     => [
		'a'   => esc_html__( 'Layout 1', 'nomady' ),
		'b' => esc_html__( 'Layout 2', 'nomady' ),
	],
] );


Kirki::add_field( $option_name, [
	'type'        => 'background',
	'settings'    => $prefix . 'footer_background',
	'label'       => esc_html__( 'Footer Background', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'     => [
		'background-color'      => '#f5f5f5',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.site-footer-content',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'footer_background_color_scheme',
	'label'       => esc_html__( 'Footer background color scheme', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'     => 'light',
	'choices'     => [
		'light' => esc_html__( 'Light', 'nomady' ),
		'dark'   => esc_html__( 'Dark', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'     => 'textarea',
	'settings'    => $prefix . 'footer_text',
	'label'    => esc_html__( 'Footer text', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'	=> '<h3>NOMADY</h3><p>Made by &copy; <a href="https://themeforest.net/user/minimaldog/portfolio" target="_blank" rel="nofollow">minimaldog</a></p>',
	'sanitize_callback' => 'wp_kses_post',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'footer_instagram_switch',
	'label'       => esc_html__( 'Display Instagram feed', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'     => 'no',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'     => 'text',
	'settings'    => $prefix . 'footer_instagram_title',
	'label'    => esc_html__( 'Instagram section title', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'	=> esc_html__( 'Follow our Instagram @minimaldog', 'nomady' ),
	'active_callback' => [
		[
			'setting'    => $prefix . 'footer_instagram_switch',
			'operator' => '==',
			'value'    => 'yes',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'     => 'text',
	'settings'    => $prefix . 'footer_instagram_username',
	'label'    => esc_html__( 'Your Instagram username', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'	=> '',
	'active_callback' => [
		[
			'setting'    => $prefix . 'footer_instagram_switch',
			'operator' => '==',
			'value'    => 'yes',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'     => 'text',
	'settings'    => $prefix . 'footer_instagram_token',
	'label'    => esc_html__( 'Your Instagram Token', 'nomady' ),
	'description' => esc_html__( 'Read on how to create your Instagram token in theme\'s documentation', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'active_callback' => [
		[
			'setting'    => $prefix . 'footer_instagram_switch',
			'operator' => '==',
			'value'    => 'yes',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'footer_social_media_switch',
	'label'       => esc_html__( 'Display social media urls', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'     => 'no',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'back_top_switch',
	'label'       => esc_html__( 'Display Back to top button', 'nomady' ),
	'section'     => $prefix . 'footer_section',
	'default'     => 'yes',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

/**
 * Blog and Archives Section.
 */
Kirki::add_section( $prefix . 'archive_section', array(
    'title'          => esc_html__( 'Blog and Archives', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

/* Filler for Blog and Archives Section. */
Kirki::add_field( $option_name, [
	'type'        => 'generic',
	'settings'    => $prefix . 'archive_section_filler',
	'section'        => $prefix . 'archive_section',
	'default'     => '',
	'choices'     => [
		'element'  => 'input',
		'type'     => 'password',
		'style'    => 'display: none;',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'meta_author_toggle',
	'label'       => esc_html__( 'Display post author meta', 'nomady' ),
	'section'     => $prefix . 'archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'meta_date_toggle',
	'label'       => esc_html__( 'Display post date meta', 'nomady' ),
	'section'     => $prefix . 'archive_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
] );

/**
 * Blog Section.
 */
Kirki::add_section( $prefix . 'blog_section', array(
    'title'          => esc_html__( 'Blog', 'nomady' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'blog_layout',
	'label'       => esc_html__( 'Blog layout', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'list-landscape' => esc_html__( 'List - Landscape', 'nomady' ),
		'list-landscape-no-sidebar' => esc_html__( 'List - Landscape - No sidebar', 'nomady' ),
		'list-portrait' => esc_html__( 'List - Portrait', 'nomady' ),
		'list-portrait-no-sidebar' => esc_html__( 'List - Portrait - No sidebar', 'nomady' ),
		'list-mixed-1' => esc_html__( 'List - Mixed 1', 'nomady' ),
		'list-mixed-2' => esc_html__( 'List - Mixed 2', 'nomady' ),
		'list-mixed-no-sidebar' => esc_html__( 'List - Mixed - No sidebar', 'nomady' ),
		'grid-portrait' => esc_html__( 'Grid - Portrait', 'nomady' ),
		'grid-portrait-no-sidebar' => esc_html__( 'Grid - Portrait - No sidebar', 'nomady' ),
		'grid-flow' => esc_html__( 'Grid - Portrait Flow', 'nomady' ),
		'grid-mixed-1' => esc_html__( 'Grid - Mixed 1', 'nomady' ),
		'grid-mixed-2' => esc_html__( 'Grid - Mixed 2', 'nomady' ),
		'grid-mixed-no-sidebar' => esc_html__( 'Grid - Mixed - No sidebar', 'nomady' ),
		'masonry-portrait' => esc_html__( 'Masonry - Portrait', 'nomady' ),
		'masonry-portrait-no-sidebar' => esc_html__( 'Masonry - Portrait - No sidebar', 'nomady' ),
		'masonry-flow' => esc_html__( 'Masonry - Portrait Flow', 'nomady' ),
	],
	'default'     => 'list-portrait-no-sidebar',
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'blog_sidebar',
	'label'       => esc_attr__( 'Sidebar', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => nomady_sidebar_list(),
	'default'     => 'mnmd-default',
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait',
				'grid-mixed-1',
				'grid-mixed-2',
				'masonry-portrait',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'blog_hero_post_first',
	'label'       => esc_html__( 'Display hero post first', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'contains',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'blog_hero_cycle',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'blog_hero_cycle_grid_no_sidebar',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 3,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => '===',
			'value'    => 'grid-mixed-no-sidebar',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'blog_grid_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'3' => esc_html__( '3', 'nomady' ),
		'4' => esc_html__( '4', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-portrait-no-sidebar',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'blog_flow_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'2' => esc_html__( '2', 'nomady' ),
		'3' => esc_html__( '3', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-flow',
				'masonry-flow',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'blog_reverse_thumb',
	'label'       => esc_html__( 'Reverse thumbnail position', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-landscape-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'blog_original_ratio_thumb',
	'label'       => esc_html__( 'Original ratio thumbnail', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-portrait-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait-no-sidebar',
				'masonry-portrait',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'blog_post_format_icon_toggle',
	'label'       => esc_html__( 'Display post format icon', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'blog_excerpt_length_toggle',
	'label'       => esc_html__( 'Custom excerpt length', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			[//or
				'setting'    => $prefix . 'blog_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'blog_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'blog_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'blog_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'blog_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'blog_excerpt_length',
	'label'       => esc_attr__( 'Excerpt length (in words)', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 24,
	'active_callback' => [
		[//and
			'setting'    => $prefix . 'blog_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[//and
			[//or
				'setting'    => $prefix . 'blog_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'blog_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'blog_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'blog_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'blog_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'blog_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'blog_excerpt_length_hero',
	'label'       => esc_attr__( 'Excerpt length of hero post (in words)', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 40,
	'active_callback' => [
		[
			'setting'    => $prefix . 'blog_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
		[
			'setting'    => $prefix . 'blog_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'blog_pagination',
	'label'       => esc_attr__( 'Pagination', 'nomady' ),
	'section'     => $prefix . 'blog_section',
	'choices'     => [
		'default' => esc_html__( 'Default', 'nomady' ),
		'next-and-previous' => esc_html__( 'Next and Previous', 'nomady' ),
		'ajax-load-more' => esc_html__( 'AJAX load more button', 'nomady' ),
	],
	'default'     => 'default',
] );

/**
 * Category Section.
 */
Kirki::add_section( $prefix . 'category_section', array(
    'title'          => esc_html__( 'Category Archive', 'nomady' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_layout',
	'label'       => esc_html__( 'Category layout', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'list-landscape' => esc_html__( 'List - Landscape', 'nomady' ),
		'list-landscape-no-sidebar' => esc_html__( 'List - Landscape - No sidebar', 'nomady' ),
		'list-portrait' => esc_html__( 'List - Portrait', 'nomady' ),
		'list-portrait-no-sidebar' => esc_html__( 'List - Portrait - No sidebar', 'nomady' ),
		'list-mixed-1' => esc_html__( 'List - Mixed 1', 'nomady' ),
		'list-mixed-2' => esc_html__( 'List - Mixed 2', 'nomady' ),
		'list-mixed-no-sidebar' => esc_html__( 'List - Mixed - No sidebar', 'nomady' ),
		'grid-portrait' => esc_html__( 'Grid - Portrait', 'nomady' ),
		'grid-portrait-no-sidebar' => esc_html__( 'Grid - Portrait - No sidebar', 'nomady' ),
		'grid-flow' => esc_html__( 'Grid - Portrait Flow', 'nomady' ),
		'grid-mixed-1' => esc_html__( 'Grid - Mixed 1', 'nomady' ),
		'grid-mixed-2' => esc_html__( 'Grid - Mixed 2', 'nomady' ),
		'grid-mixed-no-sidebar' => esc_html__( 'Grid - Mixed - No sidebar', 'nomady' ),
		'masonry-portrait' => esc_html__( 'Masonry - Portrait', 'nomady' ),
		'masonry-portrait-no-sidebar' => esc_html__( 'Masonry - Portrait - No sidebar', 'nomady' ),
		'masonry-flow' => esc_html__( 'Masonry - Portrait Flow', 'nomady' ),
	],
	'default'     => 'list-landscape',
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_sidebar',
	'label'       => esc_attr__( 'Sidebar', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => nomady_sidebar_list(),
	'default'     => 'mnmd-default',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait',
				'grid-mixed-1',
				'grid-mixed-2',
				'masonry-portrait',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'category_hero_post_first',
	'label'       => esc_html__( 'Display hero post first', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'contains',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'category_hero_cycle',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'category_hero_cycle_grid_no_sidebar',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 3,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => '===',
			'value'    => 'grid-mixed-no-sidebar',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_grid_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'3' => esc_html__( '3', 'nomady' ),
		'4' => esc_html__( '4', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-portrait-no-sidebar',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_flow_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'2' => esc_html__( '2', 'nomady' ),
		'3' => esc_html__( '3', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-flow',
				'masonry-flow',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'category_reverse_thumb',
	'label'       => esc_html__( 'Reverse thumbnail position', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-landscape-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'category_original_ratio_thumb',
	'label'       => esc_html__( 'Original ratio thumbnail', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-portrait-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait-no-sidebar',
				'masonry-portrait',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'category_post_format_icon_toggle',
	'label'       => esc_html__( 'Display post format icon', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'category_excerpt_length_toggle',
	'label'       => esc_html__( 'Custom excerpt length', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			[//or
				'setting'    => $prefix . 'category_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'category_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'category_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'category_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'category_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'category_excerpt_length',
	'label'       => esc_attr__( 'Excerpt length (in words)', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 24,
	'active_callback' => [
		[//and
			'setting'    => $prefix . 'category_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[//and
			[//or
				'setting'    => $prefix . 'category_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'category_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'category_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'category_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'category_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'category_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'category_excerpt_length_hero',
	'label'       => esc_attr__( 'Excerpt length of hero post (in words)', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 40,
	'active_callback' => [
		[
			'setting'    => $prefix . 'category_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
		[
			'setting'    => $prefix . 'category_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'category_pagination',
	'label'       => esc_attr__( 'Pagination', 'nomady' ),
	'section'     => $prefix . 'category_section',
	'choices'     => [
		'default' => esc_html__( 'Default', 'nomady' ),
		'next-and-previous' => esc_html__( 'Next and Previous', 'nomady' ),
		'ajax-load-more' => esc_html__( 'AJAX load more button', 'nomady' ),
	],
	'default'     => 'default',
] );

/**
 * Search Section.
 */
Kirki::add_section( $prefix . 'search_section', array(
    'title'          => esc_html__( 'Search Archive', 'nomady' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_layout',
	'label'       => esc_html__( 'Search layout', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'list-landscape' => esc_html__( 'List - Landscape', 'nomady' ),
		'list-landscape-no-sidebar' => esc_html__( 'List - Landscape - No sidebar', 'nomady' ),
		'list-portrait' => esc_html__( 'List - Portrait', 'nomady' ),
		'list-portrait-no-sidebar' => esc_html__( 'List - Portrait - No sidebar', 'nomady' ),
		'list-mixed-1' => esc_html__( 'List - Mixed 1', 'nomady' ),
		'list-mixed-2' => esc_html__( 'List - Mixed 2', 'nomady' ),
		'list-mixed-no-sidebar' => esc_html__( 'List - Mixed - No sidebar', 'nomady' ),
		'grid-portrait' => esc_html__( 'Grid - Portrait', 'nomady' ),
		'grid-portrait-no-sidebar' => esc_html__( 'Grid - Portrait - No sidebar', 'nomady' ),
		'grid-flow' => esc_html__( 'Grid - Portrait Flow', 'nomady' ),
		'grid-mixed-1' => esc_html__( 'Grid - Mixed 1', 'nomady' ),
		'grid-mixed-2' => esc_html__( 'Grid - Mixed 2', 'nomady' ),
		'grid-mixed-no-sidebar' => esc_html__( 'Grid - Mixed - No sidebar', 'nomady' ),
		'masonry-portrait' => esc_html__( 'Masonry - Portrait', 'nomady' ),
		'masonry-portrait-no-sidebar' => esc_html__( 'Masonry - Portrait - No sidebar', 'nomady' ),
		'masonry-flow' => esc_html__( 'Masonry - Portrait Flow', 'nomady' ),
	],
	'default'     => 'list-landscape',
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_sidebar',
	'label'       => esc_attr__( 'Sidebar', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => nomady_sidebar_list(),
	'default'     => 'mnmd-default',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait',
				'grid-mixed-1',
				'grid-mixed-2',
				'masonry-portrait',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'search_hero_post_first',
	'label'       => esc_html__( 'Display hero post first', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'contains',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'search_hero_cycle',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'search_hero_cycle_grid_no_sidebar',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 3,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => '===',
			'value'    => 'grid-mixed-no-sidebar',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_grid_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'3' => esc_html__( '3', 'nomady' ),
		'4' => esc_html__( '4', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-portrait-no-sidebar',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_flow_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'2' => esc_html__( '2', 'nomady' ),
		'3' => esc_html__( '3', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-flow',
				'masonry-flow',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'search_reverse_thumb',
	'label'       => esc_html__( 'Reverse thumbnail position', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-landscape-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'search_original_ratio_thumb',
	'label'       => esc_html__( 'Original ratio thumbnail', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-portrait-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait-no-sidebar',
				'masonry-portrait',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'search_post_format_icon_toggle',
	'label'       => esc_html__( 'Display post format icon', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'search_excerpt_length_toggle',
	'label'       => esc_html__( 'Custom excerpt length', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			[//or
				'setting'    => $prefix . 'search_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'search_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'search_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'search_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'search_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'search_excerpt_length',
	'label'       => esc_attr__( 'Excerpt length (in words)', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 24,
	'active_callback' => [
		[//and
			'setting'    => $prefix . 'search_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[//and
			[//or
				'setting'    => $prefix . 'search_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'search_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'search_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'search_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'search_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'search_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'search_excerpt_length_hero',
	'label'       => esc_attr__( 'Excerpt length of hero post (in words)', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 40,
	'active_callback' => [
		[
			'setting'    => $prefix . 'search_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
		[
			'setting'    => $prefix . 'search_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'search_pagination',
	'label'       => esc_attr__( 'Pagination', 'nomady' ),
	'section'     => $prefix . 'search_section',
	'choices'     => [
		'default' => esc_html__( 'Default', 'nomady' ),
		'next-and-previous' => esc_html__( 'Next and Previous', 'nomady' ),
		'ajax-load-more' => esc_html__( 'AJAX load more button', 'nomady' ),
	],
	'default'     => 'default',
] );

/**
 * Tag Section.
 */
Kirki::add_section( $prefix . 'tag_section', array(
    'title'          => esc_html__( 'Tag Archive', 'nomady' ),
    'section'        => $prefix . 'archive_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_layout',
	'label'       => esc_html__( 'Tag layout', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'list-landscape' => esc_html__( 'List - Landscape', 'nomady' ),
		'list-landscape-no-sidebar' => esc_html__( 'List - Landscape - No sidebar', 'nomady' ),
		'list-portrait' => esc_html__( 'List - Portrait', 'nomady' ),
		'list-portrait-no-sidebar' => esc_html__( 'List - Portrait - No sidebar', 'nomady' ),
		'list-mixed-1' => esc_html__( 'List - Mixed 1', 'nomady' ),
		'list-mixed-2' => esc_html__( 'List - Mixed 2', 'nomady' ),
		'list-mixed-no-sidebar' => esc_html__( 'List - Mixed - No sidebar', 'nomady' ),
		'grid-portrait' => esc_html__( 'Grid - Portrait', 'nomady' ),
		'grid-portrait-no-sidebar' => esc_html__( 'Grid - Portrait - No sidebar', 'nomady' ),
		'grid-flow' => esc_html__( 'Grid - Portrait Flow', 'nomady' ),
		'grid-mixed-1' => esc_html__( 'Grid - Mixed 1', 'nomady' ),
		'grid-mixed-2' => esc_html__( 'Grid - Mixed 2', 'nomady' ),
		'grid-mixed-no-sidebar' => esc_html__( 'Grid - Mixed - No sidebar', 'nomady' ),
		'masonry-portrait' => esc_html__( 'Masonry - Portrait', 'nomady' ),
		'masonry-portrait-no-sidebar' => esc_html__( 'Masonry - Portrait - No sidebar', 'nomady' ),
		'masonry-flow' => esc_html__( 'Masonry - Portrait Flow', 'nomady' ),
	],
	'default'     => 'list-landscape',
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_sidebar',
	'label'       => esc_attr__( 'Sidebar', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => nomady_sidebar_list(),
	'default'     => 'mnmd-default',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait',
				'grid-mixed-1',
				'grid-mixed-2',
				'masonry-portrait',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'tag_hero_post_first',
	'label'       => esc_html__( 'Display hero post first', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'contains',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'tag_hero_cycle',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 1,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'tag_hero_cycle_grid_no_sidebar',
	'label'       => esc_html__( 'Display hero post every x posts', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'min'  => 1,
		'max'  => 20,
		'step' => 3,
	],
	'default'     => 4,
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => '===',
			'value'    => 'grid-mixed-no-sidebar',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_grid_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'3' => esc_html__( '3', 'nomady' ),
		'4' => esc_html__( '4', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-portrait-no-sidebar',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_flow_columns',
	'label'       => esc_attr__( 'Number of columns', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'2' => esc_html__( '2', 'nomady' ),
		'3' => esc_html__( '3', 'nomady' ),
	],
	'default'     => '3',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'contains',
			'value'    => [
				'grid-flow',
				'masonry-flow',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'tag_reverse_thumb',
	'label'       => esc_html__( 'Reverse thumbnail position', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'yes',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-landscape-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'tag_original_ratio_thumb',
	'label'       => esc_html__( 'Original ratio thumbnail', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'contains',
			'value'    => [
				'list-landscape',
				'list-portrait',
				'list-portrait-no-sidebar',
				'list-mixed-1',
				'list-mixed-2',
				'grid-portrait-no-sidebar',
				'masonry-portrait',
				'masonry-portrait-no-sidebar',
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'tag_post_format_icon_toggle',
	'label'       => esc_html__( 'Display post format icon', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
] );

Kirki::add_field( $option_name, [
	'type'        => 'radio-buttonset',
	'settings'    => $prefix . 'tag_excerpt_length_toggle',
	'label'       => esc_html__( 'Custom excerpt length', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' => esc_html__( 'No', 'nomady' ),
	],
	'default'     => 'no',
	'active_callback' => [
		[
			[//or
				'setting'    => $prefix . 'tag_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'tag_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'tag_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'tag_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'tag_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'tag_excerpt_length',
	'label'       => esc_attr__( 'Excerpt length (in words)', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 24,
	'active_callback' => [
		[//and
			'setting'    => $prefix . 'tag_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[//and
			[//or
				'setting'    => $prefix . 'tag_layout',
				'operator' => 'in',
				'value'    =>  [
					'list-landscape',
					'list-landscape-no-sidebar',
					'list-portrait',
					'list-portrait-no-sidebar',
					'list-mixed-1',
					'list-mixed-2',
					'list-mixed-no-sidebar',
					'grid-portrait',
					'grid-mixed-1',
					'grid-mixed-2',
					'grid-mixed-no-sidebar',
					'masonry-portrait',
				]
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'grid-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'tag_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'grid-flow',
				],
				[
					'setting'    => $prefix . 'tag_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'masonry-portrait-no-sidebar',
				],
				[
					'setting'    => $prefix . 'tag_grid_columns',
					'operator' => '==',
					'value'    =>  '3',
				],
			],
			[//or
				[//and
					'setting'    => $prefix . 'tag_layout',
					'operator' => '==',
					'value'    =>  'masonry-flow',
				],
				[
					'setting'    => $prefix . 'tag_flow_columns',
					'operator' => '==',
					'value'    =>  '2',
				],
			],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'number',
	'settings'    => $prefix . 'tag_excerpt_length_hero',
	'label'       => esc_attr__( 'Excerpt length of hero post (in words)', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'min'  => 0,
		'max'  => 55,
		'step' => 1,
	],
	'default'     => 40,
	'active_callback' => [
		[
			'setting'    => $prefix . 'tag_layout',
			'operator' => 'in',
			'value'    => [
				'list-mixed-1',
				'list-mixed-2',
				'list-mixed-no-sidebar',
				'grid-mixed-1',
				'grid-mixed-2',
				'grid-mixed-no-sidebar',
			],
		],
		[
			'setting'    => $prefix . 'tag_excerpt_length_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'tag_pagination',
	'label'       => esc_attr__( 'Pagination', 'nomady' ),
	'section'     => $prefix . 'tag_section',
	'choices'     => [
		'default' => esc_html__( 'Default', 'nomady' ),
		'next-and-previous' => esc_html__( 'Next and Previous', 'nomady' ),
		'ajax-load-more' => esc_html__( 'AJAX load more button', 'nomady' ),
	],
	'default'     => 'default',
] );

/**
 * Single Posts and Pages Section.
 */
Kirki::add_section( $prefix . 'single_section', array(
    'title'          => esc_html__( 'Single Posts and Pages', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

/* Filler for Single Posts and Pages Section. */
Kirki::add_field( $option_name, [
	'type'        => 'generic',
	'settings'    => $prefix . 'single_section_filler',
	'section'        => $prefix . 'single_section',
	'default'     => '',
	'choices'     => [
		'element'  => 'input',
		'type'     => 'password',
		'style'    => 'display: none;',
	],
] );

/* Single Post Header Section. */
Kirki::add_section( $prefix . 'single_header_section', array(
    'title'          => esc_html__( 'Single Post Header', 'nomady' ),
    'section'          => $prefix . 'single_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'single_post_header_style',
	'label'       => esc_html__( 'Single post header layout', 'nomady' ),
	'section'     => $prefix . 'single_header_section',
	'default'     => 'default',
	'choices'     => [
		'default'   => esc_html__( 'Image top', 'nomady' ),
		'title-top' => esc_html__( 'Title top', 'nomady' ),
        'overlay'  => esc_html__( 'Overlay', 'nomady' ),
        'split'  => esc_html__( 'Split', 'nomady' ),
        'no-ft-img'  => esc_html__( 'No featured image', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_header_background_toggle',
	'label'       	=> esc_html__( 'Single post header\'s background', 'nomady' ),
	'section'     	=> $prefix . 'single_header_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
	'active_callback' => [
		[
			[
				'setting'    => $prefix . 'single_post_header_style',
				'operator' => '==',
				'value'    => 'title-top',
			],
			[
				'setting'    => $prefix . 'single_post_header_style',
				'operator' => '==',
				'value'    => 'split',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'background',
	'settings'    => $prefix . 'single_post_header_background',
	'section'     => $prefix . 'single_header_section',
	'default'     => [
		'background-color'      => 'rgba(255,255,255,0)',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.single-post-header-title-top .mnmd-section-background, .single-post-header-split .single-post-header-inner .background-object',
			'exclude'  => [
                'rgba(255,255,255,0)',
            ],
		],
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_header_background_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[
			[
				'setting'    => $prefix . 'single_post_header_style',
				'operator' => '==',
				'value'    => 'title-top',
			],
			[
				'setting'    => $prefix . 'single_post_header_style',
				'operator' => '==',
				'value'    => 'split',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'single_post_header_width',
	'label'       => esc_html__( 'Single post header\'s width', 'nomady' ),
	'section'     => $prefix . 'single_header_section',
	'default'     => 'default',
	'choices'     => [
		'default'   => esc_html__( 'Default', 'nomady' ),
		'wide' => esc_html__( 'Wide', 'nomady' ),
		'fullwidth' => esc_html__( 'Full-width', 'nomady' ),
		'fullbleed' => esc_html__( 'Full-bleed', 'nomady' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_header_style',
			'operator' => '!=',
			'value'    => 'no-ft-img',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_header_center',
	'label'       	=> esc_html__( 'Center header', 'nomady' ),
	'section'     	=> $prefix . 'single_header_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'single_post_header_style',
			'operator' => '!=',
			'value'    => 'split',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_excerpt_as_lead',
	'label'       	=> esc_html__( "Display excerpt as article's lead", 'nomady' ),
	'section'     	=> $prefix . 'single_header_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_auto_header_style',
	'label'       	=> esc_html__( 'Use specific header for posts with vertical featured image', 'nomady' ),
	'section'     	=> $prefix . 'single_header_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_post_modified_date_toggle',
	'label'       	=> esc_html__( 'Display updated date', 'nomady' ),
	'section'     	=> $prefix . 'single_header_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

/* Page Header Section. */
Kirki::add_section( $prefix . 'page_header_section', array(
    'title'          => esc_html__( 'Page Header', 'nomady' ),
    'section'          => $prefix . 'single_section',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'page_header_style',
	'label'       => esc_html__( 'Page header layout', 'nomady' ),
	'section'     => $prefix . 'page_header_section',
	'default'     => 'default',
	'choices'     => [
		'default'   => esc_html__( 'Image top', 'nomady' ),
		'title-top' => esc_html__( 'Title top', 'nomady' ),
        'overlay'  => esc_html__( 'Overlay', 'nomady' ),
        'split'  => esc_html__( 'Split', 'nomady' ),
        'no-ft-img'  => esc_html__( 'No featured image', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'page_header_background_toggle',
	'label'       	=> esc_html__( 'Page header\'s background', 'nomady' ),
	'section'     	=> $prefix . 'page_header_section',
	'default'     	=> 'no',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
	'active_callback' => [
		[
			[
				'setting'    => $prefix . 'page_header_style',
				'operator' => '==',
				'value'    => 'title-top',
			],
			[
				'setting'    => $prefix . 'page_header_style',
				'operator' => '==',
				'value'    => 'split',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'background',
	'settings'    => $prefix . 'page_header_background',
	'section'     => $prefix . 'page_header_section',
	'default'     => [
		'background-color'      => 'rgba(255,255,255,0)',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.single-post-header-title-top .mnmd-section-background, .single-post-header-split .single-post-header-inner .background-object',
			'exclude'  => [
                'rgba(255,255,255,0)',
            ],
		],
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'page_header_background_toggle',
			'operator' => '==',
			'value'    => 'yes',
		],
		[
			[
				'setting'    => $prefix . 'page_header_style',
				'operator' => '==',
				'value'    => 'title-top',
			],
			[
				'setting'    => $prefix . 'page_header_style',
				'operator' => '==',
				'value'    => 'split',
			]
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'page_header_width',
	'label'       => esc_html__( 'Page header\'s width', 'nomady' ),
	'section'     => $prefix . 'page_header_section',
	'default'     => 'default',
	'choices'     => [
		'default'   => esc_html__( 'Default', 'nomady' ),
		'wide' => esc_html__( 'Wide', 'nomady' ),
		'fullwidth' => esc_html__( 'Full-width', 'nomady' ),
		'fullbleed' => esc_html__( 'Full-bleed', 'nomady' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'page_header_style',
			'operator' => '!=',
			'value'    => 'no-ft-img',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'page_header_center',
	'label'       	=> esc_html__( 'Center header', 'nomady' ),
	'section'     	=> $prefix . 'page_header_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'page_overlay_excerpt_inside',
	'label'       	=> esc_html__( 'Show excerpt inside featured image', 'nomady' ),
	'section'     	=> $prefix . 'page_header_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'page_header_style',
			'operator' => '==',
			'value'    => 'overlay',
		]
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'page_auto_header_style',
	'label'       	=> esc_html__( 'Use specific header for pages with vertical featured image', 'nomady' ),
	'section'     	=> $prefix . 'page_header_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

/* Single Social Share Section. */
// Add section only if Nomady Core plugin is active
if ( class_exists( 'Nomady_Core' ) ) {
    Kirki::add_section( $prefix . 'single_social_share_section', array(
        'title'         => esc_html__( 'Social share', 'nomady' ),
        'section'       => $prefix . 'single_section',
    ) );

    Kirki::add_field( $option_name, [
    	'type'        	=> 'radio-buttonset',
    	'settings'    	=> $prefix . 'single_social_share_switch',
    	'label'       	=> esc_html__( 'Display social share', 'nomady' ),
    	'section'     	=> $prefix . 'single_social_share_section',
    	'default'     	=> 'yes',
    	'choices'     	=> [
    		'yes'   => esc_html__( 'Yes', 'nomady' ),
    		'no' 	=> esc_html__( 'No', 'nomady' ),
    	],
    ] );

    Kirki::add_field( $option_name, [
    	'type'        => 'sortable',
    	'settings'    => $prefix . 'single_social_share_selection',
    	'label'       => esc_html__( 'Enable/disable your social share buttons and arrange their orders:', 'nomady' ),
    	'section'     => $prefix . 'single_social_share_section',
    	'default'     => [
            'facebook',
            'twitter',
            'pinterest',
            'email',
    	],
    	'choices'     => [
    		'blogger' 			=> 'Blogger',
            'digg' 				=> 'Digg',
            'email' 			=> esc_html__( 'Email', 'nomady' ),
            'evernote' 			=> 'Evernote',
            'getpocket' 		=> 'Pocket',
            'facebook' 			=> 'Facebook',
            'flipboard' 		=> 'Flipboard',
            'gmail' 			=> 'Gmail',
            'instapaper' 		=> 'Instapaper',
            'line.me' 			=> 'LINE',
            'linkedin' 			=> 'LinkedIn',
            'pinterest' 		=> 'Pinterest',
            'reddit' 			=> 'Reddit',
            'skype' 			=> 'Skype',
            'telegram.me' 		=> 'Telegram',
            'tumblr' 			=> 'Tumblr',
            'twitter' 			=> 'Twitter',
            'vk' 				=> 'VK',
            'weibo' 			=> 'Weibo',
            'xing' 				=> 'XING',
            'yahoo' 			=> 'Yahoo',
    	],
    ] );
}

/* Single Author Box Section. */
Kirki::add_section( $prefix . 'single_author_box_section', array(
    'title'         => esc_html__( 'Author box', 'nomady' ),
    'section'       => $prefix . 'single_section',
) );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_author_box_switch',
	'label'       	=> esc_html__( 'Display author box', 'nomady' ),
	'section'     	=> $prefix . 'single_author_box_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_author_box_info',
	'label'       	=> esc_html__( 'Display author\'s info', 'nomady' ),
	'section'     	=> $prefix . 'single_author_box_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

/* Single Related Posts Section. */
Kirki::add_section( $prefix . 'single_related_posts_section', array(
    'title'         => esc_html__( 'Related posts', 'nomady' ),
    'section'       => $prefix . 'single_section',
) );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_related_posts_switch',
	'label'       	=> esc_html__( 'Display related posts', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'     		=> 'text',
	'settings'    	=> $prefix . 'single_related_posts_heading',
	'label'    		=> esc_html__( 'Related posts section\'s heading', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'		=> esc_html__( 'Related posts', 'nomady' ),
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'single_related_posts_style',
	'label'       	=> esc_attr__( 'Related posts style', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'default',
	'choices'     	=> [
		'default' 					=> esc_html__( 'Default', 'nomady' ),
		'original-ratio-thumb' 		=> esc_html__( 'Original Ratio Thumb', 'nomady' ),
		'tall' 						=> esc_html__( 'Tall', 'nomady' ),
		'card' 						=> esc_html__( 'Card', 'nomady' ),
		'card-overlay' 				=> esc_html__( 'Card overlay', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'single_related_posts_columns',
	'label'       	=> esc_attr__( 'Columns', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> '3',
	'choices'     	=> [
		'3' 	=> esc_html__( '3', 'nomady' ),
		'4' 	=> esc_html__( '4', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'select',
	'settings'    	=> $prefix . 'single_related_posts_order',
	'label'       	=> esc_attr__( 'Post order', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'date',
	'choices'     	=> [
		'date' 			=> esc_html__( 'Latest', 'nomady' ),
		'rand' 		=> esc_html__( 'Random', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_related_posts_background_switch',
	'label'       	=> esc_html__( "Section's background", 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'background',
	'settings'    => $prefix . 'single_related_posts_background',
	'section'     => $prefix . 'single_related_posts_section',
	'default'     => [
		'background-color'      => 'rgba(245,245,245,1)',
		'background-image'      => '',
		'background-repeat'     => 'no-repeat',
		'background-position'   => 'center center',
		'background-size'       => 'cover',
		'background-attachment' => 'scroll',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.single-related-posts-section.mnmd-section-has-background .mnmd-section-background',
			'exclude'  => [
                'rgba(255,255,255,0)',
            ],
		],
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_related_posts_text_color',
	'label'       	=> esc_html__( 'Text color', 'nomady' ),
	'description'   => esc_html__( 'Select text color according to background color for best legibility.', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'dark',
	'choices'     	=> [
		'light'   => esc_html__( 'Light', 'nomady' ),
		'dark' 	=> esc_html__( 'Dark', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        	=> 'radio-buttonset',
	'settings'    	=> $prefix . 'single_related_posts_overlap_background',
	'label'       	=> esc_html__( 'Overlap background', 'nomady' ),
	'section'     	=> $prefix . 'single_related_posts_section',
	'default'     	=> 'yes',
	'choices'     	=> [
		'yes'   => esc_html__( 'Yes', 'nomady' ),
		'no' 	=> esc_html__( 'No', 'nomady' ),
	],
	'active_callback' => [
		[
			[
				'setting'    => $prefix . 'single_related_posts_style',
				'operator' => '==',
				'value'    => 'card',
			],
			[
				'setting'    => $prefix . 'single_related_posts_style',
				'operator' => '==',
				'value'    => 'card-overlay',
			]
		]
	],
] );


/**
 * Social Media Section.
 */
Kirki::add_section( $prefix . 'social_media_sites_section', array(
    'title'          => esc_html__( 'Social Media', 'nomady' ),
    'description'    => esc_html__( 'Enter full URLs of your social media sites below.', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'behance_url',
	'label'    => 'Behance',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'dribbble_url',
	'label'    => 'Dribbble',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'facebook_url',
	'label'    => 'Facebook',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'google_url',
	'label'    => 'Google',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'instagram_url',
	'label'    => 'Instagram',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'line_url',
    'label'    => 'LINE',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'linkedin_url',
	'label'    => 'LinkedIn',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'medium_url',
    'label'    => 'Medium',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'pinterest_url',
	'label'    => 'Pinterest',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'reddit_url',
    'label'    => 'Reddit',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'snapchat_url',
	'label'    => 'Snapchat',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'soundcloud_url',
	'label'    => 'Soundcloud',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'spotify_url',
	'label'    => 'Spotify',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'telegram_url',
	'label'    => 'Telegram',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'tiktok_url',
    'label'    => 'TikTok',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'tumblr_url',
	'label'    => 'Tumblr',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'twitter_url',
	'label'    => 'Twitter',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'viber_url',
    'label'    => 'Viber',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'vk_url',
	'label'    => 'VK',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'wechat_url',
    'label'    => 'WeChat',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'whatsapp_url',
    'label'    => 'WhatsApp',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
    'type'     => 'link',
    'settings'    => $prefix . 'xing_url',
    'label'    => 'XING',
    'section'     => $prefix . 'social_media_sites_section',
    'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'     => 'link',
	'settings'    => $prefix . 'youtube_url',
	'label'    => 'Youtube',
	'section'     => $prefix . 'social_media_sites_section',
	'default'  => '',
] );

Kirki::add_field( $option_name, [
	'type'        => 'sortable',
	'settings'    => $prefix . 'social_media_sites',
	'label'       => esc_html__( 'Enable/disable your social media sites and their orders:', 'nomady' ),
	'section'     => $prefix . 'social_media_sites_section',
	'default'     => [
        'facebook',
        'instagram',
        'twitter',
        'youtube',
	],
	'choices'     => [
		'behance' 		=> 'Behance',
        'dribbble' 		=> 'Dribbble',
        'facebook' 		=> 'Facebook',
        'google' 		=> 'Google+',
        'instagram' 	=> 'Instagram',
        'line'          => 'LINE',
        'linkedin' 		=> 'LinkedIn',
        'medium'        => 'Medium',
        'pinterest' 	=> 'Pinterest',
        'reddit'        => 'Reddit',
        'snapchat' 		=> 'Snapchat',
        'soundcloud' 	=> 'Soundcloud',
        'spotify' 		=> 'Spotify',
        'telegram' 		=> 'Telegram',
        'tiktok'        => 'TikTok',
        'tumblr' 		=> 'Tumblr',
        'twitter' 		=> 'Twitter',
        'viber'         => 'Viber',
        'vk' 			=> 'VK',
        'wechat'        => 'WeChat',
        'whatsapp'      => 'WhatsApp',
        'xing' 		    => 'XING',
        'youtube'       => 'Youtube',
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'switch',
	'settings'    => $prefix . 'social_media_url_new_tab',
	'label'       => esc_html__( 'Open URLs in a new tab', 'nomady' ),
	'section'     => $prefix . 'social_media_sites_section',
	'default'     => true,
	'choices'     => [
		'on'  => esc_html__( 'On', 'nomady' ),
		'off' => esc_html__( 'Off', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'switch',
	'settings'    => $prefix . 'social_media_url_nofollow',
	'label'       => esc_html__( 'Add nofollow attribute to URLs', 'nomady' ),
	'section'     => $prefix . 'social_media_sites_section',
	'default'     => true,
	'choices'     => [
		'on'  => esc_html__( 'On', 'nomady' ),
		'off' => esc_html__( 'Off', 'nomady' ),
	],
	'active_callback' => [
		[
			'setting'    => $prefix . 'social_media_url_new_tab',
			'operator' => '==',
			'value'    => true,
		]
	],
] );

/**
 * 404 Page Section.
 */
Kirki::add_section( $prefix . 'page_404_section', array(
    'title'          => esc_html__( '404 Page', 'nomady' ),
    'panel'          => $prefix . 'panel',
) );

Kirki::add_field( $option_name, [
	'type'        => 'select',
	'settings'    => $prefix . 'page_404_image_width',
	'label'       => esc_html__( 'Banner Width', 'nomady' ),
	'section'     => $prefix . 'page_404_section',
	'default'     => 'default',
	'choices'     => [
		'default' => esc_html__( 'Default', 'nomady' ),
		'wide' => esc_html__( 'Wide', 'nomady' ),
		'fullwidth' => esc_html__( 'Full-width', 'nomady' ),
		'fullbleed' => esc_html__( 'Full-bleed', 'nomady' ),
	],
] );

Kirki::add_field( $option_name, [
	'type'        => 'image',
	'settings'    => $prefix . 'page_404_image',
	'label'       => esc_html__( 'Banner Image', 'nomady' ),
	'section'     => $prefix . 'page_404_section',
	'default'     => '',
	'choices'     => [
		'save_as' => 'array',
	],
] );

Kirki::add_field( $option_name, [
	'type'     => 'text',
	'settings'    => $prefix . 'page_404_title',
	'label'    => esc_html__( 'Title', 'nomady' ),
	'section'     => $prefix . 'page_404_section',
	'default'	=> 'Page not found',
	'sanitize_callback' => 'wp_kses_post',
] );

Kirki::add_field( $option_name, [
	'type'     => 'textarea',
	'settings'    => $prefix . 'page_404_body_text',
	'label'    => esc_html__( 'Body text', 'nomady' ),
	'section'     => $prefix . 'page_404_section',
	'default'	=> esc_html__( 'The page you were looking for could not be found. It might have been removed, renamed, or did not exist in the first place.', 'nomady' ),
	'sanitize_callback' => 'wp_kses_post',
] );