<?php
/**
 * Template Name: Nomady Category Listing
 */

$category_include = nomady_get_meta_box( 'page_category_listing_categories' );
$layout = nomady_get_meta_box( 'page_category_listing_layout', NULL, 'b' );
$group_by_initial = nomady_get_meta_box( 'page_category_listing_group_by_initial', NULL, 'yes' );

$section_class = 'mnmd-section mnmd-section-destinations mnmd-section-destinations-' . $layout;
$query_args = array(
	'taxonomy'				=> 'category',
	'orderby'   			=> 'name',
	'order'   				=> 'ASC',
);

if ( ! empty( $category_include ) ) {
	$query_args['include'] = $category_include;
}

$categories = get_categories( $query_args );

get_header();
?>
	<header class="page-header">
		<div class="container">
			<?php
			echo '<h1 class="page-title display-5">' . get_the_title() . '</h1>';
			?>
		</div>
	</header><!-- .page-header -->

	<div id="primary" class="content-area">
		<div class="container">
			<?php
			while ( have_posts() ) {
				the_post();
			?>
				<div class="page-content">
				<?php
					the_content();
				?>
				</div>
			<?php
			}
			?>

			<?php
			if ( $categories ) {
			?>
			<div class="<?php echo esc_attr( $section_class ); ?>">
				<?php
				switch ( $layout ) {
					case 'a':
						if ( $group_by_initial === 'yes' ) {
							$index_letter = null;
							foreach ( $categories as $category ) {
								$name = $category->name;
								$first_letter = strtoupper( mb_substr( $name, 0, 1 ) );
								if ( $index_letter !== $first_letter ) {
									if ( $index_letter !== null ) {
							?>
											</div>
										</div>
									</div>
									<?php
									}

									$index_letter = $first_letter;
									?>
									<div class="destination-group">
										<div class="destination-group-index display-5 font-meta"><?php echo esc_html( $index_letter ); ?></div>
										<div class="destination-group-categories">
											<div class="row row-space-around">
								<?php
								}
								?>

												<div class="col-sm-6 col-lg-3">
													<?php
													nomady_get_template_part( 'template-parts/misc/category-item-a', NULL,
														array(
															'category' => $category,
															'show_post_count' => 'yes',
															'category_tall' => 'yes',
														)
													);
													?>
												</div>
							<?php
							}
							?>
											</div>
										</div>
									</div>
						<?php
						} else {
						?>
							<div class="row row-space-around">
							<?php
							foreach ( $categories as $category ) {
							?>
								<div class="col-sm-6 col-lg-3">
									<?php
									nomady_get_template_part( 'template-parts/misc/category-item-a', NULL,
										array(
											'category' => $category,
											'show_post_count' => 'yes',
											'category_tall' => 'yes',
										)
									);
									?>
								</div>
							<?php
							}
							?>
							</div>
						<?php
						}
						break;

					case 'b':
					default:
					?>
						<div class="row row-space-around">
						<?php
						$index_letter = null;
						foreach ( $categories as $category ) {
							$ID = $category->term_id;
							$url = get_category_link( $ID );
							$count = $category->count;
							$count_text = '';
							if ( ( $count !== 0 ) && ( $count > 1 ) ) {
								$count_text = '<sup>' . $count . '</sup>';
							}
							$name = $category->name;
							$first_letter = strtoupper( mb_substr( $name, 0, 1 ) );
							if ( $index_letter !== $first_letter ) {
								if ( $index_letter !== null ) {
						?>
										</ol>
									</div>
								</div>
								<?php
								}

								$index_letter = $first_letter;
								?>
								<div class="col-sm-6 col-lg-3">
									<div class="destination-group">
										<div class="destination-group-index display-5 font-meta"><?php echo esc_html( $index_letter ); ?></div>
										<ol>
							<?php
							}
											echo '<li><a href="' . $url . '">' . $name . '</a>' . $count_text . '</li>';
						}
						?>
										</ol>
									</div>
								</div>
						</div>
						<?php
						break;

					case 'c':
						if ( $group_by_initial === 'yes' ) {
							$index_letter = null;
							foreach ( $categories as $category ) {
								$name = $category->name;
								$first_letter = strtoupper( mb_substr( $name, 0, 1 ) );
								if ( $index_letter !== $first_letter ) {
									if ( $index_letter !== null ) {
							?>
											</div>
										</div>
									</div>
									<?php
									}

									$index_letter = $first_letter;
									?>
									<div class="destination-group">
										<div class="destination-group-index display-5 font-meta"><?php echo esc_html( $index_letter ); ?></div>
										<div class="destination-group-categories">
											<div class="row row-space-around">
								<?php
								}
								?>

												<div class="col-sm-6 col-lg-3">
													<?php
													nomady_get_template_part( 'template-parts/misc/category-item-c', NULL,
														array(
															'category' => $category,
															'show_post_count' => 'yes',
															'is_small' => 'yes',
														)
													);
													?>
												</div>
							<?php
							}
							?>
											</div>
										</div>
									</div>
						<?php
						} else {
						?>
							<div class="row row-space-around">
							<?php
							foreach ( $categories as $category ) {
							?>
								<div class="col-sm-6 col-lg-3">
									<?php
									nomady_get_template_part( 'template-parts/misc/category-item-c', NULL,
										array(
											'category' => $category,
											'show_post_count' => 'yes',
											'is_small' => 'yes',
										)
									);
									?>
								</div>
							<?php
							}
							?>
							</div>
						<?php
						}
						break;
				}
				?>
			</div><!-- .mnmd-section-destinations -->
			<?php
			}
			?>

		</div>
	</div><!-- #primary -->
<?php
get_footer();