<?php
/**
 * Compact header template
 */

$sticky_header = nomady_get_option( 'sticky_header', 'no' );
$header_class = 'site-header site-header-compact';
$header_content_width = nomady_get_option( 'header_width', 'default' );

if ( $sticky_header === 'yes' ) {
	$header_class .= ' js-sticky-header-holder';
}

if ( $header_content_width === 'default' ) {
	$container_class = 'container';
} else {
	$container_class = 'container-' . $header_content_width;
}
?>
<header id="mnmd-masthead" class="<?php echo esc_attr( $header_class ); ?>">
	<?php
	if ( has_nav_menu( 'site-header' ) ) {
	?>
		<div class="site-header-navigation d-none d-xl-block">
			<div class="<?php echo esc_attr( $container_class ); ?>">
				<?php get_template_part( 'template-parts/navigation/navigation', 'top-compact' ); ?>
			</div>
		</div><!-- .site-header-navigation -->
	<?php
	}
	?>

	<?php get_template_part( 'template-parts/layout/site-header-mobile' ); ?>
</header><!-- #mnmd-masthead -->