<?php
/**
 * Standard header template
 */

$show_login = nomady_get_option( 'header_show_login', 'yes' );
$sticky_header = nomady_get_option( 'sticky_header', 'yes' );
$header_class = 'site-header site-header-standard-center';
$header_content_width = nomady_get_option( 'header_width', '' );
$social_sortable = nomady_get_option( 'social_media_sites' );

if ( $sticky_header === 'yes' ) {
	$header_class .= ' js-sticky-header-holder';
}

if ( ( $header_content_width === 'default' ) || ( $header_content_width === '' ) ) {
	$container_class = 'container-xl';
} else {
	$container_class = 'container-' . $header_content_width;
}
?>
<header id="mnmd-masthead" class="<?php echo esc_attr( $header_class ); ?>">
	<div class="site-header-banner d-none d-xl-block">
		<div class="<?php echo esc_attr( $container_class ); ?>">
			<div class="site-header-banner-inner d-flex align-items-center">
				<div class="site-header-social site-header-banner-left">
					<?php
					if ( !empty( $social_sortable ) ) {
						get_template_part( 'template-parts/misc/social-inline' );
					}
					?>
				</div>

				<div class="site-header-logo d-flex align-items-center justify-content-center text-center">
					<?php nomady_get_template_part( 'template-parts/misc/branding-header', NULL, array( 'class' => 'h1-lg' ) ); ?>
				</div>

				<div class="site-header-actions site-header-banner-right text-right">
					<button class="btn navbar-btn navbar-search-toggler" type="button" data-toggle="modal" data-target="#mnmd-search-modal"  aria-label="<?php echo esc_html__( 'Search', 'nomady' ) ?>"><?php echo nomady_svg_icon( array( 'icon' => 'search' ) ); ?></button>

					<?php
					if ( ( $show_login === 'yes' ) && !is_user_logged_in() ) {
						$header_login_url = nomady_get_option( 'header_login_url', '' );
						if ( $header_login_url !== '' ) {
					?>
						<a href="<?php echo esc_url( $header_login_url ); ?>" class="btn navbar-btn"><?php echo nomady_svg_icon( array( 'icon' => 'user' ) ) ;?></a>
					<?php
						} else {
					?>
						<button class="btn navbar-btn navbar-login-toggler" type="button" data-toggle="modal" data-target="#mnmd-login-modal" aria-label="<?php echo esc_html__( 'Login', 'nomady' ) ?>"><?php echo nomady_svg_icon( array( 'icon' => 'user' ) ) ;?></button>
					<?php
						}
					}
					?>
				</div>
			</div>
		</div>
	</div>

	<?php
	if ( has_nav_menu( 'site-header' ) ) {
	?>
		<div class="site-header-navigation d-none d-xl-block">
			<div class="<?php echo esc_attr( $container_class ); ?>">
				<?php get_template_part( 'template-parts/navigation/navigation', 'top-center' ); ?>
			</div>
		</div><!-- .site-header-navigation -->
	<?php
	}
	?>

	<?php get_template_part( 'template-parts/layout/site-header-mobile' ); ?>
</header><!-- #mnmd-masthead -->