<?php
/**
 * Standard header template
 */

$show_login = nomady_get_option( 'header_show_login', 'yes' );
$sticky_header = nomady_get_option( 'sticky_header', 'no' );
$header_class = 'site-header site-header-standard';
$header_content_width = nomady_get_option( 'header_width', 'default' );
$social_sortable = nomady_get_option( 'social_media_sites' );

if ( $sticky_header === 'yes' ) {
	$header_class .= ' js-sticky-header-holder';
}

if ($header_content_width === 'default' ) {
	$container_class = 'container';
} else {
	$container_class = 'container-' . $header_content_width;
}
?>
<header id="mnmd-masthead" class="<?php echo esc_attr( $header_class ); ?>">
	<div class="site-header-banner d-none d-xl-block">
		<div class="<?php echo esc_attr( $container_class ); ?>">
			<div class="site-header-banner-inner d-flex align-items-center justify-content-center justify-content-lg-between">
				<div class="site-header-logo text-center">
					<?php get_template_part( 'template-parts/misc/branding-header' ); ?>
				</div>

				<?php
				if ( !empty( $social_sortable ) ) {
				?>
					<div class="site-header-social text-right d-none d-lg-block">
						<?php get_template_part( 'template-parts/misc/social-inline' ); ?>
					</div>
				<?php
				}
				?>
			</div>
		</div>
	</div>

	<?php
	if ( has_nav_menu( 'site-header' ) ) {
	?>
		<div class="site-header-navigation d-none d-xl-block">
			<div class="<?php echo esc_attr( $container_class ); ?>">
				<?php get_template_part( 'template-parts/navigation/navigation', 'top' ); ?>
			</div>
		</div><!-- .navigation-top -->
	<?php
	}
	?>

	<?php get_template_part( 'template-parts/layout/site-header-mobile' ); ?>
</header><!-- #mnmd-masthead -->