<?php
/**
 * Mobile site header template
 */

$show_login = nomady_get_option( 'header_show_login', 'yes' );
?>
<div class="site-header-mobile d-xl-none">
	<div class="container-fluid">
		<div class="d-flex justify-content-between align-items-center">
			<div class="site-header-logo site-header-logo-small d-sm-none">
				<?php nomady_get_template_part( 'template-parts/misc/branding-header', NULL, array( 'logo_variant' => 'small' ) ); ?>
			</div>

			<div class="site-header-logo d-none d-sm-block">
				<?php nomady_get_template_part( 'template-parts/misc/branding-header' ); ?>
			</div>

			<div class="navbar-actions ml-3">
				<button class="btn navbar-btn navbar-search-toggler" type="button" data-toggle="modal" data-target="#mnmd-search-modal"  aria-label="<?php echo esc_html__( 'Search', 'nomady' ) ?>">
					<span class="d-none d-md-inline-block d-xl-none"><?php echo esc_html__( 'Search', 'nomady' ) ?></span><?php echo nomady_svg_icon( array( 'icon' => 'search', 'class' => 'ml-md-2 ml-xl-0' ) ) ;?>
				</button>

				<?php
				if ( has_nav_menu( 'site-header' ) || is_active_sidebar( 'mnmd-offcanvas' ) ) {
				?>
				<a href="#mnmd-offcanvas-primary" class="btn navbar-btn navbar-menu-toggler js-mnmd-offcanvas-toggle d-xl-none" role="button" aria-label="Toggle navigation">
					<span class="d-none d-md-inline-block"><?php echo esc_html__( 'Menu', 'nomady' ) ?></span><?php echo nomady_svg_icon( array( 'icon' => 'menu', 'class' => 'ml-md-2' ) ) ;?>
				</a>
				<?php
				}
				?>
			</div>
		</div>
	</div>
</div>