<?php
/**
 * Display user profile box.
 */

$show_info = nomady_get_option( 'single_author_box_info', 'yes' );
$author_bio = get_the_author_meta( 'description' );
if ( ( $author_bio === '' ) && is_single() ) {
	return; // do not display author box on single page if there's no bio set.
}
$author_id = get_the_author_meta( 'ID' );
$author_name = get_the_author_meta( 'display_name', $author_id );
$author_website = get_the_author_meta( 'url', $author_id );
$author_post_counts = count_user_posts( $author_id );
?>
<div class="mnmd-author-box media d-block d-sm-flex text-center text-sm-left">
	<div class="mnmd-author-box-avatar mb-2 mb-sm-0 mr-sm-4"><?php echo get_avatar( $author_id, 100, '', esc_html__( 'avatar', 'nomady' ) ); ?></div>
	<div class="mnmd-author-box-text media-body">
		<div class="mnmd-author-box-name">
			<span class="font-meta text-h7"><?php echo esc_html__( 'Written by', 'nomady'  ); ?></span>
			<h4 class="h5"><?php the_author_posts_link(); ?></h4>
		</div>

		<div class="mnmd-author-box-bio"><p><?php echo esc_html( $author_bio ); ?></p></div>

		<?php
		if ( $show_info === 'yes' ) {
		?>
		<div class="mnmd-author-box-meta text-h7">
			<?php
			if ( $author_website ) {
			?>
			<div class="mnmd-author-box-website font-meta">
				<span><?php echo esc_html__( 'Website: ', 'nomady' ) ?></span><a href="<?php echo esc_url( $author_website ); ?>" target="_blank" rel="noopener noreferrer" title="Website"><?php echo esc_url( $author_website ); ?></a>
			</div>
			<?php
			}
			?>

			<?php
			if ( $author_post_counts > 0 ) {
			?>
			<div class="mnmd-author-box-posts-count font-meta">
				<span><?php echo esc_html__( 'Posts created: ', 'nomady' ) ?><?php echo esc_html( $author_post_counts ); ?></span>
			</div>
			<?php
			}
			?>
		</div>
		<?php
		}
		?>
	</div>
</div>