<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $category ) ) || $category = NULL;
( isset( $thumb_url ) ) || $thumb_url = '';
( isset( $show_post_count ) ) || $show_post_count = 'yes';
( isset( $category_tall ) ) || $category_tall = 'no';

$category_class = 'category-item category-item-a';

if ( $category_tall === 'yes' ) {
	$category_class .= ' category-item-a-tall';
	$thumb_size = 'nomady_sm_1_1';
} else {
	$thumb_size = 'nomady_xs_1_1';
}

// Get category's thumbnail.
if ( function_exists( 'get_field' ) ) {
	$featured_img = get_field( 'field_mnmd_category_image', $category );
} else {
	$featured_img = NULL;
}

if ( $featured_img ) {
	$thumb_url = $featured_img[ 'sizes' ][ $thumb_size ];
} else {
	$category__post = get_posts( 'category='.$category->term_id.'&posts_per_page=1&orderby=post_date&post_status=publish' );
	if ( has_post_thumbnail( $category__post[0]->ID ) ) {
		$thumb_id = get_post_thumbnail_id( $category__post[0]->ID );
		$thumb_url_array = wp_get_attachment_image_src( $thumb_id, $thumb_size, true );
		$thumb_url = $thumb_url_array[0];
	} else {
		$thumb_url = '';
	}
}

if ( $thumb_url ) {
	$category_class .= ' category-item-a-has-background';
}
?>
<div class="<?php echo esc_attr( $category_class ); ?>">
	<div class="category-item-wrapper">
		<?php
		if ( $thumb_url ) {
		?>
			<div class="background-object background-object-cover"<?php echo 'style="background-image: url(' . esc_url( $thumb_url ) . ');"'; ?>></div>
		<?php
		}
		?>
		
		<div class="category-item-inner d-flex align-items-end">
			<div class="category-item-content">
				<h5 class="category-item-title h7 meta-font text-white">
					<span><?php echo esc_html( $category->name ); ?></span><?php
					if ( $show_post_count === 'yes' ) {
						echo '<sup>' . esc_html( $category->count ) . '</sup>';
					}
					?>
				</h5>
			</div>
		</div>
	</div>

	<a class="link-overlay" href="<?php echo esc_url( get_category_link( $category->cat_ID ) ); ?>"></a>
</div>