<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $item_class ) ) || $item_class = '';
( isset( $item_title ) ) || $item_title = '';
( isset( $item_subtitle ) ) || $item_subtitle = '';
( isset( $item_image ) ) || $item_image = array();
( isset( $item_url ) ) || $item_url = '';
( isset( $thumb_size ) ) || $thumb_size = 'nomady_md_1_1';
( isset( $columns ) ) || $columns = '3';

$item_class .= ' link-item link-item-a';

if ( $item_image['url'] ) {
	$item_class .= ' link-item-a-has-background';
}

$item_title_class = 'link-item-title meta-font';

if ( $columns === '3' ) {
	$item_title_class .= ' h4 h5-sm h4-xl';
} else {
	$item_title_class .= ' h4 h5-sm h5-xl';
}

$thumb_url_array = wp_get_attachment_image_src( $item_image['id'], $thumb_size, true );
$thumb_url = $thumb_url_array[0];
?>
<div class="<?php echo esc_attr( $item_class ); ?>">
	<?php
	if ( $thumb_url ) {
	?>
	<div class="background-object background-object-cover background-object-scrim-top"<?php echo 'style="background-image: url(' . esc_url( $thumb_url ) . ');"'; ?>></div>
	<?php
	}
	?>

	<div class="link-item-inner d-flex flex-column justify-content-between">
		<div class="link-item-content">
			<?php
			if ( $item_title ) {
			?>
				<h5 class="<?php echo esc_attr( $item_title_class ); ?>">
					<?php echo esc_html( $item_title ); ?>
				</h5>
			<?php
			}
			?>

			<?php
			if ( $item_subtitle ) {
			?>
				<p class="link-item-subtitle text-h7 m-0 meta-font">
					<?php echo esc_html( $item_subtitle ); ?>
				</p>
			<?php
			}
			?>
		</div>

		<?php
		if ( $item_url['url'] ) {
		?>
			<div class="link-item-footer">
				<div class="link-item-arrow text-right">
		            <?php
		            echo nomady_svg_icon( array( 'icon' => 'arrow-right', 'class' => 'mnmd-icon-md' ) );
		            ?>
		        </div>
			</div>
		<?php
		}
		?>

		<?php
		if ( $item_url['url'] ) {
		?>
			<a class="link-overlay" href="<?php echo esc_url( $item_url['url'] ); ?>"></a>
		<?php
		}
		?>
	</div>
</div>