<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $item_class ) ) || $item_class = '';
( isset( $item_title ) ) || $item_title = '';
( isset( $item_subtitle ) ) || $item_subtitle = '';
( isset( $item_image ) ) || $item_image = array();
( isset( $item_url ) ) || $item_url = '';
( isset( $columns ) ) || $columns = '3';

$item_class .= ' link-item link-item-b';

if ( $item_image['url'] ) {
	$item_class .= ' link-item-b-has-image';
}

$item_title_class = 'link-item-title meta-font';
if ( $columns === '3' ) {
	$item_title_class .= ' h4 h5-sm h4-xl';
} else {
	$item_title_class .= ' h5-xl';
}

?>
<div class="<?php echo esc_attr( $item_class ); ?>">
	<div class="link-item-inner d-flex flex-column justify-content-between">
		<div class="link-item-content">
			<?php
			if ( $item_title ) {
			?>
				<h5 class="<?php echo esc_attr( $item_title_class ); ?>">
					<?php echo esc_html( $item_title ); ?>
				</h5>
			<?php
			}
			?>

			<?php
			if ( $item_subtitle ) {
			?>
				<p class="link-item-subtitle text-h7 m-0 meta-font">
					<?php echo esc_html( $item_subtitle ); ?>
				</p>
			<?php
			}
			?>
		</div>

		<div class="link-item-footer d-flex justify-content-between align-items-end">
			<?php
			if ( $item_image['url'] ) {
			?>
				<div class="link-item-image">
					<img src="<?php echo esc_url( $item_image['url'] ); ?>">
				</div>
			<?php
			}
			?>

			<?php
			if ( $item_url['url'] ) {
			?>
				<div class="link-item-arrow text-right">
		            <?php
		            echo nomady_svg_icon( array( 'icon' => 'arrow-right', 'class' => 'mnmd-icon-md' ) );
		            ?>
				</div>
			<?php
			}
			?>

			<?php
			if ( $item_url['url'] ) {
			?>
				<a class="link-overlay" href="<?php echo esc_url( $item_url['url'] ); ?>"></a>
			<?php
			}
			?>
		</div>
	</div>
</div>