<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $item_class ) ) || $item_class = '';
( isset( $item_title ) ) || $item_title = '';
( isset( $item_subtitle ) ) || $item_subtitle = '';
( isset( $item_image ) ) || $item_image = array();
( isset( $item_url ) ) || $item_url = '';

$item_class .= ' link-item link-item-c';

if ( $item_image['url'] ) {
	$item_class .= ' link-item-c-has-image';
}

?>
<div class="<?php echo esc_attr( $item_class ); ?>">
	<div class="link-item-inner d-flex flex-column text-center">
		<?php
		if ( ( $item_title ) || ( $item_subtitle ) ) {
		?>
			<div class="link-item-header">
			<?php
			if ( $item_title ) {
			?>
				<h5 class="link-item-title h5 h6-sm h5-xl font-meta">
					<?php echo esc_html( $item_title ); ?>
				</h5>
			<?php
			}
			?>

			<?php
			if ( $item_subtitle ) {
			?>
				<p class="link-item-subtitle text-h7">
					<?php echo esc_html( $item_subtitle ); ?>
				</p>
			<?php
			}
			?>
			</div>
		<?php
		}
		?>

		<div class="link-item-footer d-flex flex-column justify-content-end">
			<?php
			if ( $item_image['url'] ) {
			?>
				<div class="link-item-image">
					<img src="<?php echo esc_url( $item_image['url'] ); ?>">
				</div>
			<?php
			}
			?>

			<?php
			if ( $item_url['url'] ) {
			?>
				<a class="link-overlay" href="<?php echo esc_url( $item_url['url'] ); ?>"></a>
			<?php
			}
			?>
		</div>
	</div>
</div>