<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $item_class ) ) || $item_class = '';
( isset( $item_title ) ) || $item_title = '';
( isset( $item_subtitle ) ) || $item_subtitle = '';
( isset( $item_image ) ) || $item_image = array();
( isset( $item_url ) ) || $item_url = '';
( isset( $columns ) ) || $columns = '3';

$item_class .= ' link-item link-item-d';

if ( $item_image['url'] ) {
	$item_class .= ' link-item-d-has-image';
}

$item_title_class = 'link-item-title meta-font';

if ( $columns === '3' ) {
	$item_title_class .= ' h5 h4-xl';
} else {
	$item_title_class .= ' h5 h6l-xl';
}
?>
<div class="<?php echo esc_attr( $item_class ); ?>">
	<div class="link-item-inner text-center">
		<?php
		if ( $item_image['url'] ) {
		?>
			<div class="link-item-image">
				<img src="<?php echo esc_url( $item_image['url'] ); ?>">
			</div>
		<?php
		}
		?>

		<div class="link-item-content">
			<?php
			if ( $item_title ) {
			?>
				<h5 class="<?php echo esc_attr( $item_title_class ); ?>">
					<?php echo esc_html( $item_title ); ?>
				</h5>
			<?php
			}
			?>

			<?php
			if ( $item_subtitle ) {
			?>
				<p class="link-item-subtitle text-h7 m-0 meta-font">
					<?php echo esc_html( $item_subtitle ); ?>
				</p>
			<?php
			}
			?>
		</div>

		<?php
		if ( $item_url['url'] ) {
		?>
			<a class="link-overlay" href="<?php echo esc_url( $item_url['url'] ); ?>"></a>
		<?php
		}
		?>
	</div>
</div>