<?php
/**
 * Display single post header: Cover.
 */

// Get options.
$page_header_center = nomady_get_meta_box( 'page_header_center' );
if ( !$page_header_center || ( $page_header_center === 'global') ) {
	$page_header_center = nomady_get_option( 'page_header_center', 'no' );
}

$page_header_width = nomady_get_meta_box( 'page_header_width' );
if ( !$page_header_width || ( $page_header_width === 'global') ) {
	$page_header_width = nomady_get_option( 'page_header_width', 'wide' );
}

$excerpt_inside = nomady_get_meta_box( 'page_header_overlay_excerpt_inside' );
if ( !$excerpt_inside || ( $excerpt_inside === 'global') ) {
	$excerpt_inside = nomady_get_option( 'page_overlay_excerpt_inside', 'yes' );
}

// Setting up variables.
$header_class = 'mnmd-section mnmd-section-fullwidth mnmd-section-first-contiguous single-post-header single-post-header-overlay single-post-header-ft-img-' . $page_header_width;
$thumb_size = 'nomady_4_3';
$post_time_attr = get_the_time( 'c' );
$post_time = get_the_time( get_option( 'date_format' ) );

if ( $page_header_center === 'yes' ) {
	$header_class .= ' single-post-header-center';
}

switch ( $page_header_width ) {
	case 'wide':
		$container_class = 'container-wide';
		$thumb_size = 'nomady_lg_4_3';
		break;

	case 'fullwidth':
		$container_class = 'container-xl-fullwidth';
		break;

	case 'fullbleed':
		$container_class = '';
		break;

	default:
		$container_class = 'container-xl';
		$thumb_size = 'nomady_lg_4_3';
		break;
}
?>

<header class="<?php echo esc_attr( $header_class ); ?>">
	<?php
	if ( $container_class ) {
		echo '<div class="' . esc_attr( $container_class ) . '">';
	}
	?>
		<div class="mnmd-section-inner">
			<div class="single-post-header-overlay-background background-object background-object-cover background-object-dimmed"<?php echo nomady_css_background_img( $thumb_size ); ?>></div>
			<div class="single-post-header-wrapper">
				<div class="container">
					<div class="single-post-header-outer d-flex align-items-center">
						<div class="single-post-header-inner">
							<div class="single-post-header-text text-inverse<?php if ( $page_header_center === 'yes' ) echo ' text-center'; ?>">
								<div class="single-post-header-text-inner">
									<?php
									if ( $page_header_center === 'yes' ) {
										the_title( '<h1 class="single-post-title post-title entry-title h1 display-5-sm display-4-xl mx-auto">', '</h1>' );
									} else {
										the_title( '<h1 class="single-post-title post-title entry-title h1 display-5-sm display-4-xl">', '</h1>' );
									}
									?>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php
	if ( $container_class ) {
		echo '</div>';
	}
	?>
</header>