<?php
/**
 * Displays top navigation
 */

$show_login = nomady_get_option( 'header_show_login', 'yes' );
$uppercase_menu = nomady_get_option( 'header_uppercase_menu', 'no' );
$menu_class = 'mnmd-navigation mnmd-navigation-top navigation navbar-nav justify-content-lg-center';

if ( $uppercase_menu === 'yes' ) {
	$menu_class .= ' mnmd-navigation-uppercase';
}

?>
<nav class="navbar navbar-light justify-content-between justify-content-xl-center">
	<div class="navbar-nav-wrapper d-none d-xl-block">
		<?php
		wp_nav_menu( array(
			'theme_location' => 'site-header',
			'menu_id'        => 'top-menu',
			'menu_class'	 => $menu_class,
			'container'		 => false,
			'item_spacing'	 => 'discard',
		) );
		?>
	</div>

	<div class="navbar-actions ml-3 d-xl-none">
		<button class="btn navbar-btn navbar-search-toggler" type="button" data-toggle="modal" data-target="#mnmd-search-modal"  aria-label="<?php echo esc_html__( 'Search', 'nomady' ) ?>">
			<span class="d-none d-md-inline-block d-xl-none"><?php echo esc_html__( 'Search', 'nomady' ) ?></span><?php echo nomady_svg_icon( array( 'icon' => 'search', 'class' => 'ml-md-2 ml-xl-0' ) ) ;?>
		</button>
	</div>
</nav>
