<?php
if ( isset( $template_args ) ) {
	extract( $template_args ); // extract passed variables.
}

// Setting default values if variables not set.
( isset( $color_scheme ) ) || $color_scheme = 'light';
( isset( $kenburns_class ) ) || $kenburns_class = 'kenburns';

$classes = array(
	'post-item',
	'parallax-carousel-item',
);
$post_link =  get_permalink();

?>
<article <?php post_class( $classes ); ?>>
	<div class="carousel-item-image">
		<div class="background-object background-object-cover"<?php if ( has_post_thumbnail() ) { ?> style="background-image: url('<?php the_post_thumbnail_url( 'nomady_full' ); ?> ');"<?php } ?>></div>
	</div>

	<div class="carousel-item-text post-text text-center<?php if ( $color_scheme ==='dark' ) echo ' text-inverse'; ?>">
		<div class="post-meta">
			<?php nomady_post_category(); ?>
		</div>
		<h3 class="post-title entry-title h3 h2-md h1-xxl">
			<a href="<?php echo esc_url( $post_link ); ?>"><?php the_title(); ?></a>
		</h3>
	</div>
</article>