<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $thumb_size ) ) || $thumb_size = 'nomady_sm_1_1';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 22;
( isset( $post_class ) ) || $post_class = array();
( isset( $post_index ) ) || $post_index = '';
( isset( $center_text ) ) || $center_text = 'no';
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'no' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-card',
	'post-card-background',
	'post-card-sm',
	'card',
) );

if ( has_post_thumbnail() ) {
	$post_class[] = 'text-inverse';
}

if ( $post_index ) {
	$post_class[] = 'post-has-index';
}

if ( $center_text === 'yes' ) {
	$post_class[] = 'post-center-text';
}

if ( ( $post_meta_author === 'yes' ) && ( $post_meta_date === 'yes' ) ) {
	$post_meta_author = 'no';
	$post_meta_date = 'yes';
}

$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<div class="background-object background-object-cover background-object-scrim-bottom"<?php
	if ( has_post_thumbnail() ) { ?> style="background-image: url('<?php the_post_thumbnail_url( $thumb_size ); ?> ');"<?php } ?>></div>

	<div class="card-body d-flex flex-column border-0 text-center<?php echo ( has_post_thumbnail() ? ' justify-content-between' : ' justify-content-center' );?>">
		<?php
		if ( $post_index ) {
		?>
			<div class="post-index post-index-circle"><span class="font-meta"><?php echo esc_html( $post_index ); ?></span></div>
		<?php
		}
		?>

		<div class="post-text mt-auto">
			<div class="post-meta">
				<?php nomady_post_category(); ?>
			</div>

			<h3 class="post-title entry-title h5 h6-lg h6l-xl">
				<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>
		</div>
    </div>

    <?php
	if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
	?>
		<div class="card-footer text-center">
			<div class="post-meta">
				<?php
				nomady_post_meta( array(
					'meta_author' => $post_meta_author,
					'meta_date' => $post_meta_date,
				) );
				?>
			</div>
		</div>
	<?php
	}
	?>

    <a href="<?php echo esc_url( $post_link ); ?>" class="link-overlay"></a>
</article>