<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $thumb_size ) ) || $thumb_size = 'nomady_sm_4_3';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 22;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'no' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-card',
	'post-card-default',
	'card',
) );

if ( isset( $post_index ) ) {
	$post_class[] = 'post-has-index';
}

$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<?php
	if ( has_post_thumbnail() ) {
	?>
		<a href="<?php echo esc_url( $post_link ); ?>" class="post-image card-img-top d-block">
			<?php
			nomady_featured_img( array(
				'size' => $thumb_size,
				'barebone' => true,
				'icon' => $post_format_icon ,
			) );

			if ( isset( $post_index ) ) {
			?>
				<div class="post-index post-index-outline"><span class="font-meta"><?php echo esc_html( sprintf( '%02d', $post_index ) ); ?></span></div>
			<?php
			}
			?>
		</a>

		<div class="card-body post-text text-center px-xl-4">
			<div class="post-meta">
				<?php nomady_post_category(); ?>
			</div>
			<h3 class="h5 h4-xl post-title entry-title">
				<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>
		</div>
	<?php
	} else {
	?>
		<div class="card-body text-center px-xl-4">
			<h3 class="h5 h4-xl post-title entry-title">
				<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>

			<?php
			if( get_the_excerpt() ) { ?>
				<div class="post-excerpt">
					<?php nomady_excerpt( 24, true ); ?>
				</div>
			<?php
			} ?>
		</div>
	<?php
	}
	?>

    <?php
	if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
	?>
		<div class="card-footer text-center">
			<div class="post-meta">
				<?php
				nomady_post_meta( array(
					'meta_author' => $post_meta_author,
					'meta_date' => $post_meta_date,
				) );
				?>
			</div>
		</div>
	<?php
	}
	?>
</article>