<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $container_width ) ) || $container_width = 'wide';
( isset( $background_overlay ) ) || $background_overlay = '';
( isset( $thumb_size ) ) || $thumb_size = 'nomady_lg_4_3';
( isset( $excerpt_length ) ) || $excerpt_length = 40;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'no' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-hero-cover',
) );

if ( $container_width === 'default' ) {
	$title_class = 'h2 h1-lg post-title entry-title';
} else {
	$title_class = 'h2 h1-lg display-5-xxl post-title entry-title';
}

$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<?php
	if ( has_post_thumbnail() ) {
	?>
	<div class="background-object background-object-cover background-object-scrim-bottom" style="background-image: url('<?php the_post_thumbnail_url( $thumb_size ); ?> ');">
		<?php
		if ( $background_overlay ) {
			echo '<div class="background-overlay"></div>';
		}
		?>
	</div>
	<?php
	}
	?>

	<div class="container">
		<div class="post-inner d-flex align-items-end">
			<div class="row align-items-end">
				<div class="col-lg-7">
					<div class="post-text text-inverse">
						<div class="post-meta">
							<?php nomady_post_categories(); ?>
						</div>

						<h3 class="<?php echo esc_attr( $title_class ); ?>">
							<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
						</h3>

						<?php
						if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
						?>
							<div class="post-meta">
								<?php
								nomady_post_meta( array(
									'meta_author' => $post_meta_author,
									'meta_date' => $post_meta_date,
								) );
								?>
							</div>
						<?php
						}
						?>
					</div>
				</div>

				<div class="col-lg-5 d-none d-lg-block">
					<div class="post-text text-inverse pt-3 pt-md-0 pl-xl-5">
						<?php
						if( get_the_excerpt() && ( $excerpt_length > 0 ) ) { ?>
							<div class="post-excerpt text-h6-xl">
								<?php nomady_excerpt( $excerpt_length, true ); ?>
							</div>
						<?php
						}
						?>
						<a class="post-read-more st-link" href="<?php echo esc_url( $post_link ); ?>"><span><?php esc_html_e( 'Read more', 'nomady' ); ?></span></a>
					</div>
				</div>
			</div>
		</div>
	</div>
</article>