<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $container_width ) ) || $container_width = 'wide';
( isset( $thumb_size ) ) || $thumb_size = 'nomady_lg_4_3';
( isset( $excerpt_length ) ) || $excerpt_length = 40;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'yes' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-hero-overlap',
) );

$title_class = 'h1 post-title entry-title';

$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<?php
	if ( has_post_thumbnail() ) {
	?>
	<div class="background-object background-object-cover background-object-scrim-bottom" style="background-image: url('<?php the_post_thumbnail_url( $thumb_size ); ?> ');"></div>
	<?php
	}
	?>

	<div class="container">
		<div class="post-wrapper d-flex align-items-end">
			<div class="post-inner mnmd-scheme-applicable">
				<div class="row">
					<div class="col-lg-7">
						<div class="post-text">
							<div class="post-meta">
								<?php nomady_post_categories(); ?>
							</div>
							<h3 class="<?php echo esc_attr( $title_class ); ?>">
								<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
							</h3>
							<?php
							if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
							?>
								<div class="post-meta">
									<?php
									nomady_post_meta( array(
										'meta_author' => $post_meta_author,
										'meta_date' => $post_meta_date,
									) );
									?>
								</div>
							<?php
							}
							?>
						</div>
					</div>

					<div class="col-lg-5 d-none d-lg-block">
						<div class="post-text pt-3 pt-md-0 pl-xl-5">
							<?php
							if( get_the_excerpt() && ( $excerpt_length > 0 ) ) { ?>
								<div class="post-excerpt text-h6-xl">
									<?php nomady_excerpt( $excerpt_length, true ); ?>
								</div>
							<?php
							} ?>
							<a class="post-read-more st-link" href="<?php echo esc_url( $post_link ); ?>"><span><?php esc_html_e( 'Read more', 'nomady' ); ?></span></a>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</article>