<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $thumb_size ) ) || $thumb_size = 'nomady_md_3_2';
( isset( $thumb_reverse ) ) || $thumb_reverse = 'no';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 40;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'yes' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-landscape',
	'post-landscape-lg',
) );
$post_image_wrapper_class = 'post-image-wrapper col-lg-8 mb-3 mb-lg-0';
$post_link =  get_permalink();

if ( $thumb_reverse === 'yes' ) {
	$post_class[] = 'post-landscape-reverse';
	$post_image_wrapper_class .= ' order-lg-1';
}
?>
<article <?php post_class( $post_class ); ?>>
	<div class="post-inner">
		<div class="row">
			<?php
			if ( has_post_thumbnail() ) {
			?>
			<div class="<?php echo esc_attr( $post_image_wrapper_class ); ?>">
				<?php
				nomady_featured_img( array(
					'size' => $thumb_size,
					'class' => 'post-image',
					'icon' => $post_format_icon ,
				) );
				?>
			</div>
			<?php
			}
			?>

			<div class="post-text d-flex flex-column justify-content-between col-lg">
				<div class="post-text-inner">
					<div class="post-meta">
						<?php nomady_post_categories(); ?>
					</div>

					<h3 class="post-title entry-title h1 h3-lg h2-xl">
						<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
					</h3>

					<?php
					if( get_the_excerpt() && ( $excerpt_length > 0 ) ) {
					?>
						<div class="post-excerpt">
							<?php nomady_excerpt( $excerpt_length, true ); ?>
						</div>
					<?php
					}
					?>
				</div>

				<div class="post-text-inner">
					<?php
					if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
					?>
						<div class="post-meta post-footer">
							<?php
							nomady_post_meta( array(
								'meta_author' => $post_meta_author,
								'meta_date' => $post_meta_date,
							) );
							?>
						</div>
					<?php
					}
					?>
				</div>
			</div>
		</div>
	</div>
</article>