<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $thumb_size ) ) || $thumb_size = 'nomady_sm_1_1';
( isset( $thumb_reverse ) ) || $thumb_reverse = 'no';
( isset( $thumb_original_ratio ) ) || $thumb_original_ratio = 'no';
( isset( $post_class ) ) || $post_class = array();

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-landscape',
	'post-landscape-xs',
) );

$post_image_class = 'post-image';
$post_link =  get_permalink();

if ( $thumb_reverse === 'yes' ) {
	$post_class[] = 'post-landscape-reverse';
	$post_image_class .= ' order-sm-1';
}
?>
<article <?php post_class( $post_class ); ?>>
	<?php
	if ( isset( $post_index ) ) {
	?>
		<div class="post-index post-index-default"><span class="font-meta"><?php echo esc_html( sprintf( '%02d', $post_index ) ); ?></span></div>
	<?php
	}
	?>

	<div class="media">
		<?php
		nomady_featured_img( array(
			'size' => $thumb_size,
			'class' => $post_image_class,
		) );
		?>

		<div class="media-body post-text align-self-sm-center">
			<h3 class="post-title entry-title h6">
				<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>
		</div>
	</div>
</article>