<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $thumb_size ) ) || $thumb_size = 'nomady_sm_4_3';
( isset( $thumb_reverse ) ) || $thumb_reverse = 'no';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 20;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'yes' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-landscape',
) );
$post_image_class = 'post-image';
$post_link =  get_permalink();

if ( $thumb_reverse === 'yes' ) {
	$post_class[] = 'post-landscape-reverse';
	$post_image_class .= ' order-sm-1';
}
?>
<article <?php post_class( $post_class ); ?>>
	<div class="media flex-column flex-sm-row">
		<?php
		nomady_featured_img( array(
			'size' => $thumb_size,
			'class' => $post_image_class,
			'icon' => $post_format_icon,
		) );
		?>

		<div class="media-body post-text align-self-sm-center">
			<div class="post-meta">
				<?php nomady_post_categories(); ?>
			</div>

			<h3 class="post-title entry-title h4">
				<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>

			<?php
			if( get_the_excerpt() && ( $excerpt_length > 0 ) ) { ?>
				<div class="post-excerpt">
					<?php nomady_excerpt( $excerpt_length, true ); ?>
				</div>
			<?php
			} ?>

			<?php
			if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
			?>
				<div class="post-footer post-meta">
					<?php
					nomady_post_meta( array(
						'meta_author' => $post_meta_author,
						'meta_date' => $post_meta_date,
					) );
					?>
				</div>
			<?php
			}
			?>
		</div>
	</div>
</article>