<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $thumb_size ) ) || $thumb_size = 'nomady_md_4_3';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 30;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'yes' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-overlay',
) );
$post_link =  get_permalink();

if ( ( $post_format_icon === 'yes' ) && get_post_format() ) {
	$post_class[] = 'has-post-format-icon';
}
?>
<article <?php post_class( $post_class ); ?>>
	<div class="background-object background-object-cover background-object-scrim-bottom"<?php
	if ( has_post_thumbnail() ) { ?> style="background-image: url('<?php the_post_thumbnail_url( $thumb_size ); ?> ');"<?php } ?>>
		<?php
		if ( $post_format_icon === 'yes' ) {
			nomady_post_format_icon();
		}
		?>
	</div>

	<div class="post-inner d-flex align-items-end justify-content-end">
		<div class="post-text">
			<div class="post-meta">
				<?php nomady_post_categories(); ?>
			</div>

			<h3 class="post-title h2 entry-title">
				<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h3>

			<?php
			if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
			?>
				<div class="post-footer d-flex justify-content-between flex-wrap">
					<div class="post-meta post-footer-left mr-3">
						<?php
						nomady_post_meta( array(
							'meta_author' => $post_meta_author,
							'meta_date' => $post_meta_date,
						) );
						?>
					</div>

					<div class="post-meta post-footer-right">
						<a class="post-footer-read-more" href="<?php echo esc_url( $post_link ); ?>"><?php esc_html_e( 'Read more', 'nomady' ); ?></a>
					</div>
				</div>
			<?php
			}
			?>
	    </div>
	</div>
</article>