<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $thumb_size ) ) || $thumb_size = 'nomady_md_16_9';
( isset( $thumb_reverse ) ) || $thumb_reverse = 'no';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 28;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'yes' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-portrait',
	'post-portrait-cutout',
	'post-portrait-lg',
) );
$post_link =  get_permalink();

if ( $thumb_reverse === 'yes' ) {
	$post_class[] = 'post-portrait-cutout-reverse';
}

?>
<article <?php post_class( $post_class ); ?>>
	<?php
	nomady_featured_img( array(
		'size' => $thumb_size,
		'class' => 'post-image',
		'icon' => $post_format_icon ,
	) );
	?>

	<div class="post-text<?php if ( $thumb_reverse !== 'yes' ) { echo ' ml-auto'; } ?>">
		<div class="post-meta">
			<?php nomady_post_categories(); ?>
		</div>

		<h3 class="post-title entry-title h4-lg h2-xl">
			<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
		</h3>

		<?php
		if( get_the_excerpt() && ( $excerpt_length > 0 ) ) {
		?>
			<div class="post-excerpt">
				<?php nomady_excerpt( $excerpt_length, true ); ?>
			</div>
		<?php
		}
		?>

		<?php
		if ( ( $post_meta_author === 'yes' ) || ( $post_meta_date === 'yes' ) ) {
		?>
			<div class="post-footer d-flex justify-content-between flex-wrap">
				<div class="post-meta post-footer-left mr-3">
					<?php
					nomady_post_meta( array(
						'meta_author' => $post_meta_author,
						'meta_date' => $post_meta_date,
					) );
					?>
				</div>

				<div class="post-meta post-footer-right">
					<a class="post-footer-read-more st-btn-icon-animation-on-hover" href="<?php echo esc_url( $post_link ); ?>"><?php esc_html_e( 'Read more', 'nomady' ); ?></a>
				</div>
			</div>
		<?php
		}
		?>
	</div>
</article>