<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $thumb_size ) ) || $thumb_size = 'nomady_sm_4_3';
( isset( $thumb_circle ) ) || $thumb_circle = 'no';
( isset( $post_format_icon ) ) || $post_format_icon = 'no';
( isset( $center_text ) ) || $center_text = 'no';
( isset( $inline_style ) ) || $inline_style = '';
( isset( $lazyload ) ) || $lazyload = true;

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-portrait',
	'post-portrait-sm',
) );
$post_link =  get_permalink();

if ( isset( $post_index ) ) {
	$post_class[] = 'post-has-index';
}

if ( $center_text === 'yes' ) {
	$post_class[] = 'post-center-text';
}

if ( $thumb_circle === 'yes' ) {
	$post_class[] = 'post-has-circle-thumb';
}
?>
<article <?php post_class( $post_class ); if ( $inline_style ) { echo ' style="' . esc_attr( $inline_style ) . '"'; } ?>>
	<?php
	if ( isset( $post_index ) ) {
	?>
		<div class="post-index post-index-default"><span class="font-meta"><?php echo esc_html( sprintf( '%02d', $post_index ) ); ?></span></div>
	<?php
	}
	?>

	<?php
	nomady_featured_img( array(
		'size' => $thumb_size,
		'class' => 'post-image',
		'icon' => $post_format_icon ,
		'lazyload' => $lazyload,
	) );
	?>

	<div class="post-text">
		<div class="post-meta">
			<?php nomady_post_categories(); ?>
		</div>

		<h3 class="post-title entry-title h5 h6l<?php if ( $center_text === 'yes' ) { echo ' mx-auto'; } ?>">
			<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
		</h3>
	</div>
</article>