<?php
if ( isset( $args ) ) extract( $args ); // extract passed variables.

( isset( $post_class ) ) || $post_class = array();
( isset( $container_width ) ) || $container_width = 'wide';
( isset( $thumb_size ) ) || $thumb_size = 'nomady_lg_1_1';
( isset( $thumb_reverse ) ) || $thumb_reverse = 'no';
( isset( $overlap ) ) || $overlap = 'no';
( isset( $excerpt_length ) ) || $excerpt_length = 22;
( isset( $post_meta_author ) ) || $post_meta_author = nomady_get_option( 'meta_author_toggle', 'no' );
( isset( $post_meta_date ) ) || $post_meta_date = nomady_get_option( 'meta_date_toggle', 'yes' );

$post_class = array_merge( $post_class, array(
	'post-item',
	'post-split',
) );

if ( $thumb_reverse === 'yes' ) {
	$post_class[] = 'post-split-reverse';
}

if ( $overlap === 'yes' ) {
	$post_class[] = 'post-split-overlap';
}

if ( $container_width === 'default' ) {
	$title_class = 'post-title entry-title h3 h2-sm h1-md h3-lg h2-xl';
} elseif ( $container_width === 'wide' ) {
	$title_class = 'post-title entry-title h3 h2-sm h1-md h3-lg h2-xl h1-xxl';
} else {
	$title_class = 'post-title entry-title h3 h2-sm h1-md h3-lg h2-xl display-5-xxl';
}

if ( $thumb_reverse === 'yes' ) {
	$thumb_class = 'post-image order-lg-1';
} else {
	$thumb_class = 'post-image';
}

$post_time_attr = get_the_time( 'c' );
$post_time = get_the_time( get_option( 'date_format' ) );
$post_link =  get_permalink();
?>
<article <?php post_class( $post_class ); ?>>
	<div class="post-inner d-lg-flex">
		<?php
		nomady_featured_img( array(
			'size' => $thumb_size,
			'class' => $thumb_class,
		) );
		?>

		<div class="post-text d-flex align-items-center justify-content-center">
			<div class="post-text-inner text-center mnmd-scheme-applicable">
				<div class="post-meta">
					<?php nomady_post_categories(); ?>
				</div>

				<h3 class="<?php echo esc_attr( $title_class ); ?>">
					<a href="<?php echo esc_url( $post_link ); ?>" rel="bookmark"><?php the_title(); ?></a>
				</h3>

				<?php
				if( get_the_excerpt() && ( $excerpt_length > 0 ) ) {
				?>
					<div class="post-excerpt<?php if ( $container_width !== 'default' ) echo ' post-excerpt-lg'; ?>">
						<?php nomady_excerpt( $excerpt_length, true ); ?>
					</div>

					<a class="post-read-more st-link d-none d-sm-inline-block" href="<?php echo esc_url( $post_link ); ?>"><span><?php esc_html_e( 'Read more', 'nomady' ); ?></span></a>
				<?php
				}
				?>
			</div>
		</div>
	</div>
</article>