<?php
/**
 * Displays Full Width Slider
 */

if ( !isset( $args ) ) return; // Exit if there's no variables passed.

$settings = $args['settings'];
$query_args = $args['query_args'];

$slider_class = 'mnmd-section mnmd-section-fullwidth mnmd-section-first-contiguous featured-slider-section';

if ( $settings['autoplay'] === 'yes' ) {
	$settings['autoplay'] = true;
} else {
	$settings['autoplay'] = false;
}

if ( $settings['center_text'] === 'yes' ) {
	$slider_class .= ' featured-slider-section-centered';
}

$post_query = new WP_Query( $query_args );

if ( $post_query->have_posts() ) { ?>
	<section class="<?php echo esc_attr( $slider_class ); ?>">
		<div class="container-fullwidth">
			<div class="mnmd-section-inner">
				<div class="featured-slider-wrapper">
					<div class="featured-slider-slides js-feature-slider" data-autoplay="<?php echo esc_attr( var_export( $settings['autoplay'], true ) ); ?>" data-speed="<?php echo esc_attr( $settings['autoplay_speed'] ); ?>">

						<?php
						while ( $post_query->have_posts() ) {
							$post_query->the_post();

							if ( $settings['kenburns'] === 'yes' ) {
								// set kenburns direction based on curent_post.
								if ( $post_query->current_post % 2) {
									$kenburns_class = ' kenburns-reverse';
								} else {
									$kenburns_class = ' kenburns';
								}
							} else {
								$kenburns_class = '';
							}

							nomady_get_template_part( 'template-parts/posts/slider-item', NULL,
								array(
									'kenburns_class' => $kenburns_class,
								)
							);
						}

						// Reset postdata
						wp_reset_postdata();
						?>
					</div>

					<?php
					if ( $post_query->post_count > 1 ) { ?>

					<div class="featured-slider-navigation js-feature-slider-nav">
						<div class="container">
							<div class="featured-slider-navigation-wrapper">
								<div class="featured-slider-navigation-inner d-flex">

									<?php
									while ( $post_query->have_posts() ) {
										$post_query->the_post(); ?>

										<div class="slider-navigation-item<?php if ( $post_query->current_post === 0 ) echo ' is-active'; ?>">
											<div class="slider-navigation-item-inner">
												<div class="slider-navigation-index font-meta"><?php echo sprintf( '%02d.', $post_query->current_post + 1 ); ?></div>
												<h5 class="slider-navigation-post-title font-meta h6 d-none d-lg-block"><?php the_title(); ?></h5>
											</div>
										</div>

									<?php
									}

									// Reset postdata
									wp_reset_postdata();
									?>
								</div>
							</div>
						</div>
					</div>

					<?php
					} ?>
				</div>
			</div>
		</div>
	</section>
<?php
}