<?php
/**
 * Displays Subscription section
 */

if ( !isset( $args ) ) return; // Exit if there's no variables passed.

$settings = $args['settings'];

// Merge with default value.
$settings = wp_parse_args( $settings, array(
    'shortcode' => '',
    'align_center' => 'no',
    'background_color' => NULL,
) );

// Setting up variables.
$section_class = 'mnmd-section mnmd-section-subscription mnmd-section-subscription-a';

if ( $settings['align_center'] === 'yes' ) {
	$section_class .= ' mnmd-section-subscription-center';
}
?>
<section class="<?php echo esc_attr( $section_class ); ?>">
	<div class="container">
		<div class="mnmd-section-wrapper">
			<div class="mnmd-section-inner">
				<div class="mnmd-section-subscription-content">
					<?php echo do_shortcode( $settings['shortcode'] ); ?>
				</div>
			</div>
		</div>
	</div>
</section>