<?php
/*
 * Display Social icons
 */
class mnmd_social_widget extends WP_Widget {

	public function __construct()
	{
		$theme_name = wp_get_theme()->name;
		parent::__construct( 'mnmd_social_widget', $theme_name.' - '.esc_html__('Social List', 'nomady-core'), array('description' => esc_html__('Display social icons', 'nomady-core'), 'classname' => 'mnmd-social-list-widget') );
	}

	function widget($args, $instance) {
		extract( $args );
		$title = apply_filters('widget_title', $instance['title']);
		echo wp_kses_post($before_widget);
		if ($title) echo wp_kses_post($before_title . $title . $after_title);
		nomady_get_template_part('template-parts/misc/social-inline' );
		echo wp_kses_post($after_widget);
	}

	function update($new_instance, $old_instance) {
		$instance = $old_instance;
		$instance['title'] = sanitize_text_field($new_instance['title']);
		return $instance;
	}

	function form($instance) {
		$defaults = array( 'title' => '' );
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
		<p>
			<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title: ', 'nomady-core'); ?></label>
			<input id="<?php echo esc_attr($this->get_field_id('title')); ?>" class="widefat" type="text" name="<?php echo esc_attr($this->get_field_name('title')); ?>" value="<?php echo esc_attr($instance['title']); ?>" />
		</p>
		<p>
			<?php esc_html_e('Display social network icons (set up in Customizer &rarr; Nomady Settings &rarr; Social Media Sites)', 'nomady-core'); ?>
		</p>
	<?php
	}
}

function register_mnmd_social_widget() {
    register_widget( 'mnmd_social_widget' );
}

add_action( 'widgets_init', 'register_mnmd_social_widget' );